class CoursesController < ApplicationController
  
  def index
    @courses = Course.find_all_sorted
    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @courses }
      format.json { render :json => Course.to_json( @courses ) }
    end
  end

  def show
    @course = Course.find( params[:id] )
    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @course }
      format.json { render :json => @course }
    end
  end

  def new
    @course = Course.new
    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @course }
      format.json { render :json => @course }
    end
  end

  def edit
    @course = Course.find( params[:id] )
  end

  def create
    @course = Course.new(params[:course])

    respond_to do |format|
      if @course.save
        flash[:notice] = 'Course was successfully created.'
        format.html { redirect_to(@course) }
        format.xml  { render :xml => @course, :status => :created, :location => @course }
        format.json { render :json => @course, :status => :created, :location => @course }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @lecture.errors, :status => :unprocessable_entity }
        format.json { render :json => @lecture.errors, :status => :unprocessable_entity }
      end
    end
  end

  def update
    @course = Course.find(params[:id])

    respond_to do |format|
      if @course.update_attributes(params[:lecture])
        flash[:notice] = 'Course was successfully updated.'
        format.html { redirect_to(@lecture) }
        format.xml  { head :ok }
        format.json { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @course.errors, :status => :unprocessable_entity }
        format.json { render :json => @course.errors, :status => :unprocessable_entity }
      end
    end
  end

  def destroy
    @course = Course.find(params[:id])
    @course.destroy

    respond_to do |format|
      format.html { redirect_to(courses_url) }
      format.xml  { head :ok }
      format.json { head :ok }
    end
  end

end
