# Methods added to this helper will be available to all templates in the application.
module ApplicationHelper
  
  # Return a link for use in layout navigation
  
  def nav_link( text, controller, action=:index )
    link_to_unless_current text, :controller => controller, :action => action
  end

  def logged_in?
    User.logged_in?( session )
  end
  
  def yield_authenticity_token
    if protect_against_forgery?
      <<JAVASCRIPT
<script type='text/javascript'>
  //<![CDATA[
    window._auth_token_name = "#{request_forgery_protection_token}";
    window._auth_token = "#{form_authenticity_token}";
  //]]>
</script>
JAVASCRIPT
    end
  end

end
