# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of Active Record to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20081031211033) do

  create_table "announcements", :id => false, :force => true do |t|
    t.date    "date",                                           :null => false
    t.integer "course_id",                       :default => 0, :null => false
    t.text    "contents",  :limit => 2147483647,                :null => false
  end

  create_table "assignments", :id => false, :force => true do |t|
    t.integer "course_id",                               :default => 0,  :null => false
    t.integer "assignment_number",                       :default => 0,  :null => false
    t.text    "title",                                                   :null => false
    t.string  "ps_flabel",         :limit => 20,         :default => "", :null => false
    t.string  "ps_fname",          :limit => 128,        :default => "", :null => false
    t.binary  "ps_fdata",          :limit => 2147483647,                 :null => false
    t.string  "soln_flabel",       :limit => 20
    t.string  "soln_fname",        :limit => 128
    t.binary  "soln_fdata",        :limit => 2147483647
    t.binary  "supp_material",     :limit => 2147483647
  end

  create_table "blurbs", :id => false, :force => true do |t|
    t.integer "course_id",                         :default => 0,  :null => false
    t.string  "course_page", :limit => 128,        :default => "", :null => false
    t.text    "contents",    :limit => 2147483647,                 :null => false
  end

  create_table "booktitle", :primary_key => "booktitle_id", :force => true do |t|
    t.text   "name",                                       :null => false
    t.string "abbrev_name", :limit => 128, :default => "", :null => false
  end

  create_table "category", :primary_key => "category_id", :force => true do |t|
    t.string "name", :limit => 128, :default => "", :null => false
  end

  create_table "course_grade_field_map", :id => false, :force => true do |t|
    t.integer "course_id",                  :default => 0,  :null => false
    t.string  "grade_field", :limit => 128, :default => "", :null => false
    t.integer "field_order",                :default => 0,  :null => false
  end

  create_table "course_link_group_map", :id => false, :force => true do |t|
    t.integer "course_id",              :default => 0, :null => false
    t.integer "resource_link_group_id", :default => 0, :null => false
    t.integer "link_group_order",       :default => 0, :null => false
  end

  create_table "course_textbook_map", :id => false, :force => true do |t|
    t.integer "course_id",   :default => 0,     :null => false
    t.integer "textbook_id", :default => 0,     :null => false
    t.boolean "isRequired",  :default => false, :null => false
  end

  create_table "courses", :primary_key => "course_id", :force => true do |t|
    t.string  "name",        :limit => 64,  :default => "", :null => false
    t.string  "code",        :limit => 20,  :default => "", :null => false
    t.string  "rooms",       :limit => 64,  :default => "", :null => false
    t.string  "days_times",  :limit => 64,  :default => "", :null => false
    t.text    "description",                                :null => false
    t.integer "year",                       :default => 0,  :null => false
    t.string  "semester",    :limit => 20,  :default => "", :null => false
    t.string  "root_repo",   :limit => 128, :default => "", :null => false
  end

  create_table "exams", :id => false, :force => true do |t|
    t.integer "course_id",                  :default => 0,  :null => false
    t.integer "exam_number",                :default => 0,  :null => false
    t.string  "title",       :limit => 128, :default => "", :null => false
    t.string  "place",       :limit => 64
    t.text    "date",                                       :null => false
  end

  create_table "files", :id => false, :force => true do |t|
    t.integer "pub_id",                :default => 0, :null => false
    t.string  "format", :limit => 128
    t.string  "url",    :limit => 128
  end

  add_index "files", ["pub_id"], :name => "pub_id"

  create_table "handouts", :id => false, :force => true do |t|
    t.integer "course_id",                            :default => 0,  :null => false
    t.integer "handout_number",                       :default => 0,  :null => false
    t.text    "topic",                                                :null => false
    t.string  "file_label",     :limit => 20,         :default => "", :null => false
    t.string  "file_name",      :limit => 128,        :default => "", :null => false
    t.binary  "file_data",      :limit => 2147483647,                 :null => false
  end

  create_table "instructor_course_map", :id => false, :force => true do |t|
    t.integer "instructor_id", :default => 0, :null => false
    t.integer "course_id",     :default => 0, :null => false
  end

  create_table "instructors", :primary_key => "instructor_id", :force => true do |t|
    t.string "firstname", :limit => 64, :default => "", :null => false
    t.string "lastname",  :limit => 64, :default => "", :null => false
  end

  create_table "journals", :primary_key => "journal_id", :force => true do |t|
    t.string "name",        :limit => 128, :default => "", :null => false
    t.string "abbrev_name", :limit => 128
  end

  create_table "lecture_dates", :force => true do |t|
    t.integer "course_id",      :default => 0, :null => false
    t.integer "lecture_number", :default => 0, :null => false
    t.date    "date",                          :null => false
    t.integer "lecture_id"
  end

  create_table "lecture_notes", :id => false, :force => true do |t|
    t.integer "course_id",                                 :default => 0,     :null => false
    t.integer "lecture_note_number",                       :default => 0,     :null => false
    t.text    "topic",                                                        :null => false
    t.string  "file_label",          :limit => 128,        :default => "PDF", :null => false
    t.string  "file_name",           :limit => 128,        :default => "",    :null => false
    t.binary  "file_data",           :limit => 2147483647,                    :null => false
  end

  create_table "lecture_schedule", :force => true do |t|
    t.integer "course_id",                          :default => 0, :null => false
    t.integer "lecture_number",                     :default => 0, :null => false
    t.text    "topics",                                            :null => false
    t.text    "readings",       :limit => 16777215
  end

  create_table "menu_actions", :id => false, :force => true do |t|
    t.integer "courseid",                :default => 0,  :null => false
    t.integer "order",                   :default => 0,  :null => false
    t.string  "action",   :limit => 100, :default => "", :null => false
    t.string  "tag",      :limit => 100, :default => "", :null => false
    t.string  "location", :limit => 100
  end

  create_table "people", :primary_key => "person_id", :force => true do |t|
    t.string "firstname", :limit => 128, :default => "", :null => false
    t.string "lastname",  :limit => 128, :default => "", :null => false
  end

  add_index "people", ["firstname", "lastname"], :name => "firstname"

  create_table "project_category_map", :id => false, :force => true do |t|
    t.integer "project_id",  :default => 0, :null => false
    t.integer "category_id", :default => 0, :null => false
  end

  create_table "projects", :force => true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "pub_author_map", :id => false, :force => true do |t|
    t.integer "author_id",    :default => 0, :null => false
    t.integer "pub_id",       :default => 0, :null => false
    t.integer "author_order", :default => 0, :null => false
  end

  create_table "pub_editor_map", :id => false, :force => true do |t|
    t.integer "editor_id",    :default => 0, :null => false
    t.integer "pub_id",       :default => 0, :null => false
    t.integer "editor_order", :default => 0, :null => false
  end

  create_table "publications", :primary_key => "pub_id", :force => true do |t|
    t.integer "project_id",                          :default => 0,            :null => false
    t.string  "bibtex_key",    :limit => 50,         :default => "",           :null => false
    t.text    "title",                                                         :null => false
    t.integer "publisher_id"
    t.string  "type",          :limit => 0,          :default => "manuscript", :null => false
    t.integer "year",                                :default => 0,            :null => false
    t.string  "month",         :limit => 20
    t.string  "day",           :limit => 20
    t.integer "journal"
    t.integer "booktitle"
    t.integer "series_id"
    t.string  "pages",         :limit => 20
    t.string  "volume",        :limit => 20
    t.string  "number",        :limit => 20
    t.text    "note"
    t.string  "organization",  :limit => 128
    t.text    "abstract",      :limit => 2147483647
    t.string  "official_link", :limit => 128
    t.text    "keywords"
  end

  add_index "publications", ["project_id"], :name => "project_id"

  create_table "publishers", :primary_key => "publisher_id", :force => true do |t|
    t.string "name",    :limit => 128, :default => "", :null => false
    t.string "address", :limit => 128
  end

  create_table "resource_link", :primary_key => "resource_link_id", :force => true do |t|
    t.integer "resource_link_group_id",                       :default => 0, :null => false
    t.text    "link_text",              :limit => 2147483647,                :null => false
  end

  create_table "resource_link_group", :primary_key => "resource_link_group_id", :force => true do |t|
    t.text "title", :null => false
  end

  create_table "roster", :id => false, :force => true do |t|
    t.integer "course_id", :default => 0, :null => false
    t.integer "user_id",   :default => 0, :null => false
    t.text    "firstname",                :null => false
    t.text    "lastname",                 :null => false
    t.text    "username",                 :null => false
    t.text    "password",                 :null => false
  end

  create_table "roster_1", :id => false, :force => true do |t|
    t.text "user_id"
    t.text "ID"
    t.text "department"
    t.text "year"
    t.text "GPA"
    t.text "firstname"
    t.text "lastname"
    t.text "username"
    t.text "password"
    t.text "quiz 1"
    t.text "quiz 2"
    t.text "quiz 3"
    t.text "quiz 4"
    t.text "final"
  end

  create_table "roster_2", :id => false, :force => true do |t|
    t.text "user_id"
    t.text "ID"
    t.text "department"
    t.text "year"
    t.text "GPA"
    t.text "firstname"
    t.text "lastname"
    t.text "username"
    t.text "password"
    t.text "quiz 1"
    t.text "quiz 2"
    t.text "quiz 3"
    t.text "quiz 4"
    t.text "final"
  end

  create_table "series", :primary_key => "series_id", :force => true do |t|
    t.text   "name",                       :null => false
    t.string "abbrev_name", :limit => 128
  end

  create_table "student_projects", :force => true do |t|
    t.integer  "student_id"
    t.integer  "project_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "students", :force => true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "test", :id => false, :force => true do |t|
    t.timestamp "x", :null => false
  end

# Could not dump table "textbooks" because of following StandardError
#   Unknown type 'year(4)' for column 'year'

end
