CREATE TABLE courses (
    id serial NOT NULL,
    name character varying(64) DEFAULT ''::character varying NOT NULL,
    code character varying(20) DEFAULT ''::character varying NOT NULL,
    rooms character varying(64) DEFAULT ''::character varying NOT NULL,
    days_times character varying(256) DEFAULT NULL::character varying,
    description text NOT NULL,
    year integer DEFAULT 0 NOT NULL,
    semester character varying(20) DEFAULT ''::character varying NOT NULL
);


CREATE TABLE lecture_dates (
    id serial NOT NULL,
    course_id integer DEFAULT 0 NOT NULL,
    lecture_number integer DEFAULT 0 NOT NULL,
    date date DEFAULT ('now'::text)::date NOT NULL,
    lecture_id integer
);


CREATE TABLE lectures (
    id serial NOT NULL,
    course_id integer DEFAULT 0 NOT NULL,
    lecture_number integer DEFAULT 0 NOT NULL,
    topics text,
    readings text
);


ALTER TABLE ONLY courses
    ADD CONSTRAINT courses_pkey PRIMARY KEY (id);

ALTER TABLE ONLY lecture_dates
    ADD CONSTRAINT lecture_dates_pkey PRIMARY KEY (id);

ALTER TABLE ONLY lectures
    ADD CONSTRAINT lectures_pkey PRIMARY KEY (id);

    
SELECT pg_catalog.setval('courses_id_seq',1000,false);
SELECT pg_catalog.setval('lectures_id_seq',1000,false);
SELECT pg_catalog.setval('lecture_dates_id_seq',1000,false);


COPY courses (id, name, code, rooms, days_times, description, year, semester) FROM stdin;
1	Theory of Computation	CN 314	TBA	WF 13:30-15:00	The focus of this course is on core ideas in computer science theory. Topics include regular languages, finite automata and the class of languages they define, closure properties of regular languages, multiple-characterization of regular languages, the pumping lemma, the Turing-machine model, RAM model and other equivalent models of effective computability, the Church-Turing thesis, decidable and undecidable problems, the halting problem and other examples of undecidable problems, reducibility, examples of many-one reductions, time complexity, the complexity classes P and NP, polynomial-time reducibility, NP-Completeness, the Cook-Levin Theorem, example reductions among NP-hard sets.	2006	1
2	Discrete Mathematics	CN 200	TBA	Wednesday, Friday 9:30-11:00	Discrete Mathematics is the branch of mathematics that deals with objects which can assume only certain `discrete' values." In this course, you will be learning about many topics including logic, relations, functions, basic set theory, countability and counting arguments, proof techniques, mathematical induction, graph theory, combinatorics, re cursion, recurrence relations, and number theory. However, the main goal in this course is to develop mathematical maturity. This means that, by the end of the course, you should be able to understand mathematical statements and to formulate precise and meaningful mathematical statements of your own. Consequently, the ability to communicate mathematical ideas (e.g. definitions, propositions, proofs) effectively will be the main underlying theme in this course.	2006	1
6	Web Application Engineering	AT70.9009	E 220 (lecture), CS 211 (lab)	Tue 14:30-16:30 (lecture), Wed 15:00-18:00 (lab)	  The World Wide Web has already revolutionized the way we work,\r\n  learn, and publish.  The Web not only dramatically increases the\r\n  size of the potential audience for our content, but also makes it\r\n  possible to bring physically disparate people together into more\r\n  tightly-knit communities than hitherto possible.  In this highly\r\n  distributed and collaborative environment, Web application\r\n  developers face the triple challenge of 1) system complexity, 2)\r\n  massive concurrency, and 3) a fickle user base always ready to\r\n  abandon one site for the next.  In this course, students will learn\r\n  to cope with these challenges by using appropriate technology and a\r\n  user-centered approach to the design and construction of large-scale\r\n  Web applications.\r\n\r\n  <br /><br />\r\n\r\n  AT 70.9009 is a project-oriented course in which student teams will be\r\n  paired with client organizations needing online community\r\n  collaborative learning and information sharing systems.  Using a Web\r\n  server, programming language, and relational database of their own\r\n  choice, students will take the system from an initial concept\r\n  through the stages of requirements specification, design,\r\n  implementation, and usability testing.  Along the way, focused\r\n  laboratory sessions will give students experience with specific\r\n  technologies and techniques useful across many applications, and\r\n  lectures will introduce students to the most recent developments in\r\n  enterprise application frameworks, middleware, and thick clients.\r\n  Students\r\n  successfully completing AT 70.9009 will be competent database-backed\r\n  Web application developers capable of designing, deploying, and\r\n  maintaining large-scale services like amazon.com.\r\n\r\n  <br /><br />\r\n\r\n  This course uses MIT's Open Courseware for\r\n  course 6.171, <a href="http://ocw.mit.edu/OcwWeb/Electrical-Engineering-and-Computer-Science/6-171Fall2003/CourseHome/index.htm">Software Engineering for Web Applications</a>.\r\n	2006	Aug
7	Introduction to Machine Vision for Robotics and HCI	AT70.90B	Computer Science 209	Tue, Thu 13:00-16:00	This special topics course will be a primer on the use of\r\nmachine vision in robotics applications, information\r\nsystems, and human-computer interfaces.  The course will\r\nbe a mixture of lectures on basic material, presentations\r\nof research from the primary academic literature, and\r\nindividual projects involving application of machine vision\r\ntechnology to real-world problems.  The course will prepare\r\nstudents to do thesis research in the field.	2006	Jun
9	IT For Non Specialists	IN00.9014	CSIM Laboratory	Dec 11-15	<p>\r\nIn today's academic and industrial cultures, anyone without a basic\r\nset of essential IT skills risks being an ineffective and\r\nunproductive member of his or her team, or worse, being\r\nuncompetitive in the job market.  "IT For Non-Specialists" will not\r\nonly teach essential IT skills to non-specialists, but will also\r\nintroduce students to tools and techniques that will enhance their\r\nresearch performance while at AIT and enhance their job performance\r\nafter graduation.\r\n</p>\r\n\r\n<p>\r\nThe course is composed of several hands-on, practical modules.\r\nStudents will gain hands-on experience in system administration and\r\nlearn to write simple but powerful programs to solve practical\r\nproblems they are likely to encounter in their day-to-day research.\r\n</p>\r\n	2006	December
10	Software Architecture Design	AT70.18	Computer Science 209	Mon 13:00-14:00, Thu 13:00-15:00, Fri 13:00-14:30	Designing, developing, and evolving complex software systems\r\nrequires a mastery of analytical and technical skills, as well as a\r\nknowledge of appropriate processes, architectures and design\r\npatterns.  Software architects building complex systems must create\r\nthe illusion of simplicity through decomposition, abstraction, and\r\nencapsulation of functionality.\r\n<br/><br/>\r\n\r\nThis course teaches the fundamentals of software architecture, drawn\r\nfrom research and best practice on large software projects.\r\nStudents will learn techniques and tools for modeling, analyzing,\r\nevaluating, and controlling the development of complex software\r\nsystems.  Real-world case studies will be used throughout the\r\ncourse.\r\n<br/><br/>\r\n\r\nA major component of the course will be the design of a significant\r\nopen-source software project.  Students may make a specific\r\ncontribution to an existing large open source project or start a new\r\nproject of their own choice.  Projects with the potential to play a\r\nrole in development of the Asian region will be strongly encouraged.\r\n	2007	January
29	Introduction to Machine Vision for Robotics and HCI	AT70.9011	Computer Science 209	15:30-18:00 Mondays; 12:30-15:00 Wednesdays, Fridays	<p>\r\nThis special topics course will be a primer on the use of\r\nmachine vision in robotics applications, information\r\nsystems, and human-computer interfaces.  The course will\r\nbe a mixture of lectures on basic material, presentations\r\nof research from the primary academic literature, and\r\nindividual projects involving application of machine vision\r\ntechnology to real-world problems.  The course will prepare\r\nstudents to do thesis research in the field.\r\n</p>\r\n<p>\r\nThis is <b>not</b> a basic image processing course.  We will briefly cover necessary background for the methods we study in class, but for a complete treatment of image processing you should take existing courses in Mechatronics or RS-GIS.\r\n</p>	2007	June
30	Web Application Engineering	AT70.12	CS 209 (lecture), CS 211 (lab)	Mon 15:00-18:00 (lecture), Fri 13:00-16:00 (lab)	  The World Wide Web has already revolutionized the way we work,\r\n  learn, and publish.  The Web not only dramatically increases the\r\n  size of the potential audience for our content, but also makes it\r\n  possible to bring physically disparate people together into more\r\n  tightly-knit communities than hitherto possible.  In this highly\r\n  distributed and collaborative environment, Web application\r\n  developers face the triple challenge of 1) system complexity, 2)\r\n  massive concurrency, and 3) a fickle user base always ready to\r\n  abandon one site for the next.  In this course, students will learn\r\n  to cope with these challenges by using appropriate technology and a\r\n  user-centered approach to the design and construction of large-scale\r\n  Web applications.\r\n\r\n  <br /><br />\r\n\r\n  AT 70.12 is a project-oriented course in which student teams will be\r\n  paired with client organizations needing online community\r\n  collaborative learning and information sharing systems.  Using a Web\r\n  server, programming language, and relational database of their own\r\n  choice, students will take the system from an initial concept\r\n  through the stages of requirements specification, design,\r\n  implementation, and usability testing.  Along the way, focused\r\n  laboratory sessions will give students experience with specific\r\n  technologies and techniques useful across many applications, and\r\n  lectures will introduce students to the most recent developments in\r\n  enterprise application frameworks, middleware, and thick clients.\r\n  Students\r\n  successfully completing Web Application Engineering\r\n  will be competent database-backed\r\n  Web application developers capable of designing, deploying, and\r\n  maintaining large-scale services like amazon.com.\r\n\r\n  <br /><br />\r\n\r\n  Some of the material for this course comes from MIT's Open Courseware for\r\n  course 6.171, <a href="http://ocw.mit.edu/OcwWeb/Electrical-Engineering-and-Computer-Science/6-171Fall2003/CourseHome/index.htm">Software Engineering for Web Applications</a>.\r\n\r\n  <br /><br />\r\n\r\n  There is a mailman mailing list, <tt>wae-class@listserv.ait.ac.th</tt>, for\r\n  this class.  You should be on it.  Sign up at the <a href="http://listserv.ait.ac.th/mailman/listinfo/wae-class">AIT listserv page for <tt>wae-class</tt></a>.\r\n	2007	August
31	Software Architecture Design I	AT70.9013	Computer Science 209	Wed 08:00-11:00	Designing, developing, and evolving complex software systems\r\nrequires a mastery of analytical and technical skills, as well as a\r\nknowledge of appropriate processes, architectures and design\r\npatterns.  Software architects building complex systems must create\r\nthe illusion of simplicity through decomposition, abstraction, and\r\nencapsulation of functionality.\r\n<br/><br/>\r\n\r\nThis course teaches the fundamentals of software architecture, drawn\r\nfrom research and best practice on large software projects.\r\nStudents will learn techniques and tools for modeling, analyzing,\r\nevaluating, and controlling the development of complex software\r\nsystems.  Real-world case studies will be used throughout the\r\ncourse.\r\n<br/><br/>\r\n\r\nA major component of the course will be the design of a significant\r\nopen-source software project.  Students may make a specific\r\ncontribution to an existing large open source project or start a new\r\nproject of their own choice.  Projects with the potential to play a\r\nrole in development of the Asian region will be strongly encouraged.\r\n	2007	August
32	Software Architecture Design II	AT70.9015	Computer Science 209	Tue 12:45-13:45, Thu 11:00-12:30, makeups Fri 14:00-15:30	  Designing, developing, and evolving complex software systems\r\n  requires a mastery of analytical and technical skills, as well as a\r\n  knowledge of appropriate processes, architectures and design\r\n  patterns.  Software architects building complex systems must create\r\n  the illusion of simplicity through decomposition, abstraction, and\r\n  encapsulation of functionality.\r\n<br/><br/>\r\n\r\n  Software Architecture I and II teach the fundamentals of software\r\n  architecture, drawn from research and best practice on large\r\n  software projects.  Students will learn techniques and tools for\r\n  modeling, analyzing, evaluating, and controlling the development of\r\n  complex software systems.\r\n<br/><br/>\r\n\r\n  Software Architecture I focuses on software architecture "in the\r\n  small," at the level of object-oriented analysis and design.  In\r\n  Software Architecture II, the focus shifts to software architecture\r\n  "in the large" at the level of the enterprise.  We study the design\r\n  and implementation of large-scale enterprise information system\r\n  infrastructures, enterprise application integration, and the modern\r\n  middleware technologies necessary to support enterprise application\r\n  development.  Students will learn industry best practices through\r\n  study of architectural design patterns and put the principles to\r\n  practice by designing and constructing an architectural prototype\r\n  for a significant real-world software project.\r\n\r\n\r\n	2008	January
33	Boot Camp on Linux for Real Time Control	AT 70.xx	CS 210	Thu Apr 17 9-12, Fri Apr 18 1-4, Thu Apr 24 9-12, Fri Apr 25 1-4	<p>\r\nModern embedded systems, particularly those used in robotics and remote sensing, may need to integrate with multiple sensors and actuators, and they may need to perform computationally complex calculations, e.g. image processing, probabilistic localization, environment mapping, logging over a network, and so on.\r\n</p>\r\n<br/>\r\n<p>\r\nLinux is an ideal operating system for real time control due to its robustness, support for many devices, provisions for real time scheduling, and availability of open source software for complex tasks like image processing.\r\n</p>\r\n<br/>\r\n<p>\r\nThis course will be a free hands-on primer on the use of Linux in real time control applications, intended for all interested members of the community at AIT, Thammasat, and Science Park.\r\n</p>\r\n<br/>\r\n<p>\r\nThe emphasis will be on systems programming.  Subject to time constraints and student interests, topics will include:\r\n</p>\r\n<ul>\r\n<li>Source code control with Subversion</li>\r\n<li>POSIX threads</li>\r\n<li>Thread synchronization primitives</li>\r\n<li>Interprocess communication</li>\r\n<li>Serial port and parallel port programming</li>\r\n<li>Eclipse as an IDE for C/C++ development</li>\r\n<li>GUI programming with GTK+</li>\r\n<li>Implementing message passing and event driven architectural styles</li>\r\n</ul>	2008	April
34	Machine Vision for Robotics and HCI	AT70.9011	Computer Science 209	14:00-17:00 Tuesdays and Thursdays; 14:30-17:00 Fridays	<p>\r\nThis special topics course is a primer on the use of\r\nmachine vision in robotics applications, information\r\nsystems, and human-computer interfaces.  The course will\r\nbe a mixture of lectures on basic material, presentations\r\nof research from the primary academic literature, and\r\nindividual projects involving application of machine vision\r\ntechnology to real-world problems.  The emphasis is on statistically optimal inference of scene properties (geometry, object identity, object behavior, and so on) from an image or sequence of images.  The course will prepare\r\nstudents to do thesis research in the field.\r\n</p>\r\n<p>\r\nThis is <b>not</b> a basic image processing course.  We will briefly cover necessary background for the methods we study in class, but for a complete treatment of image processing you should take existing courses in Mechatronics or RS-GIS.\r\n</p>	2008	Summer
35	Web Application Engineering	AT70.12	CS 209 (lecture), CS 211 (lab)	Mon 15:00-17:00 (lecture), Fri 13:30-16:30 (lab)	  The World Wide Web has already revolutionized the way we work,\r\n  learn, and publish.  The Web not only dramatically increases the\r\n  size of the potential audience for our content, but also makes it\r\n  possible to bring physically disparate people together into more\r\n  tightly-knit communities than hitherto possible.  In this highly\r\n  distributed and collaborative environment, Web application\r\n  developers face the triple challenge of 1) system complexity, 2)\r\n  massive concurrency, and 3) a fickle user base always ready to\r\n  abandon one site for the next.  In this course, students will learn\r\n  to cope with these challenges by using appropriate technology and a\r\n  user-centered approach to the design and construction of large-scale\r\n  Web applications.\r\n\r\n  <br /><br />\r\n\r\n  AT 70.12 is a project-oriented course in which student teams will be\r\n  paired with client organizations needing online community\r\n  collaborative learning and information sharing systems.  Using a Web\r\n  server, programming language, and relational database of their own\r\n  choice, students will take the system from an initial concept\r\n  through the stages of requirements specification, design,\r\n  implementation, and usability testing.  Along the way, focused\r\n  laboratory sessions will give students experience with specific\r\n  technologies and techniques useful across many applications, and\r\n  lectures will introduce students to the most recent developments in\r\n  enterprise application frameworks, middleware, and thick clients.\r\n  Students\r\n  successfully completing Web Application Engineering\r\n  will be competent database-backed\r\n  Web application developers capable of designing, deploying, and\r\n  maintaining large-scale services like amazon.com.\r\n\r\n  <br /><br />\r\n\r\n  Some of the material for this course comes from MIT's Open Courseware for\r\n  course 6.171, <a href="http://ocw.mit.edu/OcwWeb/Electrical-Engineering-and-Computer-Science/6-171Fall2003/CourseHome/index.htm">Software Engineering for Web Applications</a>.\r\n\r\n  <br /><br />\r\n\r\n  There is a mailman mailing list, <tt>wae-class@listserv.ait.ac.th</tt>, for\r\n  this class.  You should be on it.  Sign up at the <a href="http://listserv.ait.ac.th/mailman/listinfo/wae-class">AIT listserv page for <tt>wae-class</tt></a>.\r\n	2008	August
36	Object-Oriented Analysis and Design Boot Camp	AT70.xx	Computer Science Lab	M-F 0900-1200, Jan 12-16	<p>Object-oriented analysis and design provides the modeling techniques and design patterns needed for the specification, design, and development of complex systems. At the analysis level, object-oriented analysis covers effective techniques for discovering the important concepts and relationships in a domain and specifying how a system under consideration interacts with users and other systems.  At the design level, object-oriented enables developers to exploit the experience of experts by applying design patterns to allocate responsibilities to objects.</p><br/>\r\n\r\n<p>This short boot camp will provide students with the fundamental modeling techniques and design patterns for the specification, design and development of complex software systems. We will also consider the effect of implementation issues such as object persistence on a design.</p><br/>\r\n\r\n<p>The boot camp will assume Java as the target language but the material will apply equally well to Ruby, C#, or any object-oriented programming language.  Students will be introduced to practical tools for UML modeling and the Hibernate framework for object persistence.</p><br/>\r\n\r\n<p>The boot camp is highly recommended for software engineering students without an undergraduate background in OOAD and any students interested in learning the practices of OOAD.</p><br/>\r\n\r\n<p>The only prerequisite is experience in some OO programming language.</p>\r\n	2009	January
37	Software Architecture Design	AT70.18	Computer Science 209	Wed 13:00-15:00, Fri 13:00-15:00	<p>Software architects building complex systems must create the illusion of simplicity through decomposition, abstraction, and encapsulation of functionality.</p><br/>\r\n\r\n<p>In Software Architecture Design, we focus primarily on software architecture “in the large,” at the level of the enterprise, in which multiple applications must work together to support or automate business processes through concurrent access to large amounts of complex persistent data.</p><br/>\r\n\r\n<p>We study the design and implementation of large-scale enterprise information system infrastructures, enterprise application integration, and the modern distributed systems middleware technologies necessary to support enterprise application development.</p><br/>\r\n\r\n<p>Students taking the course will learn industry best practices through study of architectural design patterns and put the principles to practice by designing and constructing an architectural prototype for a significant real-world software project.</p>\r\n	2009	January
38	Machine Vision for Robotics and HCI	AT70.9011	Computer Science 209	13:00-16:00 Tuesdays and Thursdays	<p>\r\nMachine vision is concerned with the image processing, geometry, and statistical inference tools necessary for extracting useful information about the world from two-dimensional images. After decades of research, although the most advanced machine vision systems still pale in comparison to the visual systems of the simplest mammals, there have been some success stories. This course is an advanced survey of the state of the art in machine vision, focused primarily on robotics applications and human-computer interfaces. The course is a mixture of lectures on fundamentals, student presentations of research from the primary academic literature, and group projects involving application of machine vision technology to real-world problems. The course prepares students to do thesis research in the field\r\n</p><br/>\r\n<p>\r\nThis is <b>not</b> a basic image processing course.  We will briefly cover necessary background for the methods we study in class, but for a complete treatment of image processing you should take existing courses in Mechatronics or RS-GIS.\r\n</p>	2009	Summer
39	Web Application Engineering	AT70.12	CS 209 (lecture), CS 211 (lab)	Mon 13:00-14:30, Wed 14:00-15:30 (lecture), Fri 13:00-16:00 (lab	  The World Wide Web has already revolutionized the way we work,\r\n  learn, and publish.  The Web not only dramatically increases the\r\n  size of the potential audience for our content, but also makes it\r\n  possible to bring physically disparate people together into more\r\n  tightly-knit communities than hitherto possible.  In this highly\r\n  distributed and collaborative environment, Web application\r\n  developers face the triple challenge of 1) system complexity, 2)\r\n  massive concurrency, and 3) a fickle user base always ready to\r\n  abandon one site for the next.  In this course, students will learn\r\n  to cope with these challenges by using appropriate technology and a\r\n  user-centered approach to the design and construction of large-scale\r\n  Web applications.\r\n\r\n  <br /><br />\r\n\r\n  AT 70.12 is a project-oriented course in which student teams will be\r\n  paired with clients needing online community\r\n  collaborative learning and information sharing systems.  Using a Web\r\n  server, programming language, and relational database of their own\r\n  choice, students will take the system from an initial concept\r\n  through the stages of requirements specification, design,\r\n  implementation, and usability testing.  Along the way, focused\r\n  laboratory sessions will give students experience with specific\r\n  technologies and techniques useful across many applications, and\r\n  lectures will introduce students to the most recent developments in\r\n  enterprise application frameworks, middleware, and thick clients.\r\n  Students\r\n  successfully completing Web Application Engineering\r\n  will be competent database-backed\r\n  Web application developers capable of designing, deploying, and\r\n  maintaining large-scale services like amazon.com.\r\n\r\n  <br /><br />\r\n\r\n  Some of the material for this course comes from MIT's Open Courseware for\r\n  course 6.171, <a href="http://ocw.mit.edu/OcwWeb/Electrical-Engineering-and-Computer-Science/6-171Fall2003/CourseHome/index.htm">Software Engineering for Web Applications</a>.\r\n\r\n  <br /><br />\r\n\r\n  There is a mailman mailing list, <tt>wae-class@listserv.ait.ac.th</tt>, for\r\n  this class.  You should be on it.  Sign up at the <a href="http://listserv.ait.ac.th/mailman/listinfo/wae-class">AIT listserv page for <tt>wae-class</tt></a>.\r\n	2009	August
40	Introduction to Computers and Programming	UG 20.01	102 Undergraduate Building	Lectures Mon 1100-1200, Tue 0900-1000, Thu 1100-1200; Lab Tue 1300-1700	This course is a hands-on introduction\r\nto computers and programming. It focuses on problem analysis,\r\nalgorithm design, implementation in a modern high-level programming\r\nlanguage, and systematic program testing. Students solve substantial\r\nprogramming assignments. Topics include objects and classes;\r\nfundamental data types; control structures; arrays; inheritance,\r\ninterfaces, and polymorphism; I/O and string processing; Exceptions;\r\nsearching and sorting.  A student who successfully fulfills the course\r\nrequirements will have demonstrated 1) the ability to analyze a\r\nproblem and design an algorithm to solve that problem; 2) the ability\r\nto turn a simple algorithm specification into a running Java program;\r\n3) the ability to design, implements, and run test cases for Java\r\nprogram units; 4) the ability to use Java classes to achieve\r\ninformation hiding and abstraction; 5) the ability to use Java's\r\ninterface and inheritance features for code reuse.\r\n	2009	November
\.


COPY lecture_dates (id, course_id, lecture_number, date, lecture_id) FROM stdin;
2	2	2	2006-06-16	308
3	2	1	2006-06-14	309
4	7	16	2006-08-03	312
6	7	14	2006-07-31	310
7	7	13	2006-07-28	314
8	7	12	2006-07-20	313
9	7	11	2006-07-19	316
10	7	10	2006-07-13	317
12	7	8	2006-07-04	315
13	7	7	2006-06-29	319
14	7	6	2006-06-27	320
15	7	5	2006-06-22	321
16	7	4	2006-06-20	322
18	7	2	2006-06-08	325
19	7	1	2006-06-06	324
20	6	15	2006-11-29	326
21	6	14	2006-11-21	328
22	6	13	2006-11-14	327
24	6	11	2006-10-31	329
25	6	10	2006-10-24	332
26	6	9	2006-10-17	333
27	6	8	2006-10-06	334
28	6	7	2006-09-26	335
30	6	5	2006-09-15	331
31	6	4	2006-09-12	337
32	6	3	2006-09-08	340
33	6	2	2006-08-29	339
34	6	1	2006-08-22	338
36	29	18	2007-07-27	381
37	29	17	2007-07-25	383
38	29	16	2007-07-23	382
39	29	15	2007-07-20	384
40	29	14	2007-07-18	385
42	10	32	2007-05-04	341
43	10	31	2007-04-23	342
44	10	30	2007-04-20	344
45	10	29	2007-04-19	343
46	10	28	2007-04-05	358
48	10	26	2007-04-02	356
49	10	25	2007-03-30	355
50	10	24	2007-03-29	354
51	10	23	2007-03-26	353
52	10	22	2007-03-16	352
54	10	20	2007-03-12	350
55	10	18	2007-02-22	349
56	10	17	2007-02-19	348
57	10	16	2007-02-16	347
58	10	15	2007-02-16	346
60	10	13	2007-02-12	359
61	10	12	2007-02-08	360
62	10	11	2007-02-05	362
63	10	10	2007-02-02	361
64	10	9	2007-02-01	364
66	10	7	2007-01-26	367
67	10	6	2007-01-25	366
68	10	5	2007-01-22	365
69	10	4	2007-01-22	368
70	10	3	2007-01-19	370
72	10	1	2007-01-11	371
73	29	13	2007-07-16	386
74	29	12	2007-07-13	380
75	29	11	2007-07-11	379
76	29	10	2007-07-09	378
78	29	8	2007-07-04	376
79	29	7	2007-07-02	375
80	29	6	2007-06-29	374
81	29	5	2007-06-27	387
82	29	4	2007-06-25	389
84	29	2	2007-06-20	391
85	29	1	2007-06-18	390
86	30	33	2007-12-03	394
87	30	32	2007-11-30	401
88	30	31	2007-11-26	400
90	30	29	2007-11-19	398
91	30	28	2007-11-16	397
92	30	27	2007-11-12	396
93	30	26	2007-11-09	395
94	30	25	2007-11-05	421
96	30	23	2007-10-29	415
97	30	22	2007-10-26	414
98	30	21	2007-10-22	413
99	30	20	2007-10-19	412
100	30	18	2007-10-15	411
102	30	16	2007-10-10	409
103	30	15	2007-10-08	408
104	30	14	2007-10-05	407
105	30	13	2007-10-01	406
106	30	12	2007-09-28	405
108	30	10	2007-09-21	403
109	31	6	2007-11-30	430
110	31	5	2007-11-28	420
111	30	9	2007-09-17	402
112	31	4	2007-11-10	423
114	30	7	2007-09-10	417
115	30	6	2007-09-07	416
116	30	5	2007-08-03	424
117	30	4	2007-08-31	392
118	31	3	2007-11-07	425
120	30	2	2007-08-24	427
121	30	1	2007-08-17	426
122	30	34	2007-12-13	393
123	31	2	2007-11-03	418
124	31	1	2007-10-31	429
126	32	19	2008-03-28	431
127	32	18	2008-03-27	435
128	32	17	2008-03-11	434
201	37	33	2009-05-13	\N
202	37	32	2009-05-12	\N
203	37	31	2009-05-01	\N
224	37	10	2009-02-20	\N
225	37	9	2009-02-18	\N
226	37	8	2009-02-13	\N
227	37	7	2009-02-11	\N
231	37	3	2009-01-28	\N
1	1	1	2006-06-14	307
5	7	15	2006-08-01	311
11	7	9	2006-07-06	318
17	7	3	2006-06-15	323
23	6	12	2006-11-07	330
29	6	6	2006-09-19	336
35	29	19	2007-08-01	373
41	10	33	2007-05-14	372
47	10	27	2007-04-04	357
53	10	21	2007-03-15	351
59	10	14	2007-02-15	345
65	10	8	2007-01-29	363
71	10	2	2007-01-15	369
77	29	9	2007-07-06	377
83	29	3	2007-06-22	388
89	30	30	2007-11-23	399
95	30	24	2007-11-02	419
101	30	17	2007-10-12	410
107	30	11	2007-09-24	404
113	30	8	2007-09-14	422
119	30	3	2007-08-27	428
125	33	5	2008-05-01	450
129	32	16	2008-03-07	433
130	32	15	2008-03-06	432
131	32	14	2008-03-04	437
132	32	13	2008-02-29	436
133	32	12	2008-02-28	440
134	32	11	2008-02-27	439
135	32	10	2008-02-22	438
136	32	9	2008-02-19	443
137	32	8	2008-02-14	442
138	32	7	2008-02-12	441
139	32	6	2008-02-05	447
140	32	5	2008-02-01	446
141	32	4	2008-01-29	445
142	32	3	2008-01-24	444
143	32	2	2008-01-21	449
144	32	1	2008-01-17	448
145	33	4	2008-04-25	452
146	33	3	2008-04-24	451
147	33	2	2008-04-18	454
148	33	1	2008-04-17	453
149	34	19	2008-07-31	473
150	34	18	2008-07-29	472
151	34	17	2008-07-28	455
152	34	16	2008-07-24	457
153	34	15	2008-07-22	456
154	34	14	2008-07-16	462
155	34	13	2008-07-15	461
156	34	12	2008-07-11	460
157	34	11	2008-07-10	459
158	34	10	2008-07-08	458
159	34	9	2008-07-04	464
160	34	8	2008-07-03	463
161	34	7	2008-07-01	467
162	34	6	2008-06-27	466
163	34	5	2008-06-26	465
164	34	4	2008-06-25	470
165	34	3	2008-06-17	469
187	35	9	2008-09-15	498
189	35	7	2008-09-08	496
190	35	6	2008-09-05	495
191	35	5	2008-09-01	494
192	35	4	2008-08-29	493
193	35	3	2008-08-25	492
195	35	1	2008-08-18	499
196	36	5	2009-01-16	502
197	36	4	2009-01-15	504
198	36	3	2009-01-14	505
199	36	2	2009-01-13	506
204	37	30	2009-04-29	515
205	37	29	2009-04-24	511
206	37	28	2009-04-23	510
207	37	27	2009-04-22	516
208	37	26	2009-04-17	514
210	37	24	2009-04-10	512
211	37	23	2009-04-08	521
212	37	22	2009-04-03	520
213	37	21	2009-04-01	519
214	37	20	2009-03-27	518
216	37	18	2009-03-20	526
217	37	17	2009-03-18	525
218	37	16	2009-03-13	527
219	37	15	2009-03-11	531
220	37	14	2009-03-06	530
222	37	12	2009-02-27	528
223	37	11	2009-02-25	533
228	37	6	2009-02-06	509
229	37	5	2009-02-04	508
230	37	4	2009-01-30	507
233	37	1	2009-01-21	534
234	38	26	2009-08-08	560
235	38	25	2009-08-06	539
236	38	24	2009-08-05	538
237	38	23	2009-07-30	541
239	38	21	2009-07-28	543
240	38	20	2009-07-27	542
241	38	19	2009-07-23	544
242	38	18	2009-07-22	545
243	38	17	2009-07-21	546
245	38	15	2009-07-15	551
246	38	14	2009-07-14	550
247	38	13	2009-07-09	549
248	38	12	2009-07-07	548
249	38	11	2009-07-02	552
251	38	9	2009-06-25	557
252	38	8	2009-06-23	556
253	38	7	2009-06-18	555
254	38	6	2009-06-16	554
255	38	5	2009-06-11	553
257	38	3	2009-06-09	536
258	38	2	2009-06-04	535
259	38	1	2009-06-02	559
260	40	12	2009-11-19	592
261	40	11	2009-11-17	593
263	40	9	2009-11-16	562
264	39	46	2009-12-07	607
265	39	45	2009-12-03	606
266	39	44	2009-11-27	605
267	39	43	2009-11-25	604
269	39	41	2009-11-20	564
270	39	40	2009-11-18	568
271	39	39	2009-11-16	569
272	39	38	2009-11-13	570
273	39	37	2009-11-11	572
275	39	35	2009-11-06	575
276	39	34	2009-11-04	574
277	39	33	2009-11-02	576
278	39	32	2009-10-30	577
279	39	28	2009-10-21	580
281	39	20	2009-10-02	578
282	39	19	2009-09-30	581
283	39	18	2009-09-28	582
284	39	17	2009-09-25	573
285	39	16	2009-09-23	583
287	39	14	2009-09-18	587
288	39	13	2009-09-16	586
289	39	12	2009-09-14	585
290	39	11	2009-09-11	584
291	39	10	2009-09-09	590
293	39	7	2009-09-02	599
294	39	6	2009-08-31	567
295	39	5	2009-08-29	566
296	39	3	2009-08-24	565
297	39	2	2009-08-21	600
299	40	8	2009-11-12	595
300	40	7	2009-11-10	596
301	40	6	2009-11-10	597
302	40	5	2009-11-09	561
303	40	4	2009-11-05	598
305	40	2	2009-11-03	601
306	40	1	2009-11-02	603
166	34	2	2008-06-12	468
167	34	1	2008-06-10	471
168	35	28	2008-12-04	501
169	35	27	2008-11-28	500
170	35	26	2008-11-24	474
171	35	25	2008-11-21	475
172	35	24	2008-11-17	477
173	35	23	2008-11-14	476
174	35	22	2008-11-10	479
175	35	21	2008-11-07	478
176	35	20	2008-11-03	480
177	35	19	2008-10-31	481
178	35	18	2008-10-20	490
179	35	17	2008-10-19	489
180	35	16	2008-10-13	488
181	35	15	2008-10-10	487
182	35	14	2008-10-04	486
183	35	13	2008-10-03	485
184	35	12	2008-09-26	484
185	35	11	2008-09-22	483
186	35	10	2008-09-19	482
188	35	8	2008-09-12	497
194	35	2	2008-08-22	491
200	36	1	2009-01-12	503
209	37	25	2009-04-15	513
215	37	19	2009-03-25	517
221	37	13	2009-03-04	529
232	37	2	2009-01-23	532
238	38	22	2009-07-29	540
244	38	16	2009-07-16	547
250	38	10	2009-06-30	558
256	38	4	2009-06-10	537
262	40	10	2009-11-17	594
268	39	42	2009-11-23	563
274	39	36	2009-11-09	571
280	39	22	2009-10-07	579
286	39	15	2009-09-21	588
292	39	8	2009-09-04	591
298	39	1	2009-08-19	589
304	40	3	2009-11-03	602
\.


COPY lectures (id, course_id, lecture_number, topics, readings) FROM stdin;
307	1	1	Course overview<br />Discrete math basics<br />	Handouts 1, 2<br />Readings <a href="http://xaravve.trentu.ca/mascot/handbook/SEC_read.pdf">1</a>, <a href="http://www.cse.ucsd.edu/~mihir/writing.html">2</a> (Click on the links)<br/>Sipser pp. 1-25
308	2	2	Logic<br />Propositional equivalence	Epp 1.1, 1.2
309	2	1	Course overview	Handout 1<br />Readings <a href="http://xaravve.trentu.ca/mascot/handbook/SEC_read.pdf">1</a>, <a href="http://www.cse.ucsd.edu/~mihir/writing.html">2</a> (click on the links)
310	7	14	Tracking: Particle Filters	<ul>\r\n<li>Isard and Blake, <a href="../cvreadings/Isard-Condensation.pdf">CONDENSATION: Conditional Density Propagation for Visual Tracking</a></li>\r\n<li>Papers presented by Musharraf Nadeem: <a href="../cvreadings/Alur-Coordination.pdf">A Framework and Architecture for Multirobot Coordination</a>, <a href="../cvreadings/Das-Formation.pdf">A Framework for Vision-Based Formation Control</a>, <a href="../cvreadings/Das-VisionFormation.pdf">A Vision-Based Formation Control Framework</a>,<a href="../cvreadings/Fierro-Formation.pdf">Cooperative Control of Robot Formations</a>, <a href="../cvreadings/Spletzer-Cooperative.pdf">Cooperative Localization and Control for Multi-Robot Manipulation</a></li>\r\n</ul>
311	7	15	Student Project Presentations	<ul>\r\n<li>Rassarin</li>\r\n<li>Supattra</li>\r\n<li>Saranakom</li>\r\n<li>Chaiyaporn</li>\r\n<li>Sidath</li>\r\n<li>Akash</li>\r\n</ul>
312	7	16	Student Project Presentations	<ul>\r\n<li>Punthip</li>\r\n<li>Ramesh</li>\r\n<li>Khin/Vuthy</li>\r\n<li>Prashanta</li>\r\n<li>Khine</li>\r\n<li>Moe</li>\r\n</ul>
313	7	12	Tracking: Kalman Filters	<ul>\r\n<li>Russell and Norvig, Chapter 15</li>\r\n<li>Forsyth and Ponce, Chapter 17</li>\r\n</ul>
314	7	13	Tracking: Extended Kalman Filters	<ul>\r\n<li>Russell and Norvig, Chapter 15</li>\r\n<li>Forsyth and Ponce, Chapter 17</li>\r\n<li><a href="../cvcode/ekf1.m">EKF tutorial code</a>, version 1 (image measurements)</li>\r\n<li><a href="../cvcode/ekf2.m">EKF tutorial code</a>, version 2 (triangulated measurements</li>\r\n<li><a href="../cvreadings/Yu-Iris.pdf">Coarse Iris Classification Using Box-Counting to Estimate Fractal Dimensions</a>, presented by Zia Uddin</li>\r\n</ul>
315	7	8	Multiple View Geometry<br />Introduction to OpenCV	<ul>\r\n<li>Trucco and Verri, Chapter 7</li>\r\n<li><a href="../cvcode/opencv1/prog1.c">OpenCV tutorial code</a> (skin detection).</li>\r\n<li><a href="../cvcode/opencv1/neghist_hsv16bins.dat">Non-skin histogram data file (thanks to Nyan Bo Bo)</a>\r\n<li><a href="../cvcode/opencv1/poshist_hsv16bins.dat">Skin  histogram data file</a> (thanks to Nyan Bo Bo).</li>\r\n<li><a href="../cvcode/opencv1/Makefile">Makefile</a> for OpenCV tutorial code.</li>\r\n<li><a href="../cvreadings/Fajen-Dynamical.pdf">Dynamical Model of Visually-Guided Steering, Obstacle Avoidance, and Route Selection</a>, presented by Chaiyaporn Silawatchananai</li>\r\n<li><a href="../cvreadings/Taylor-Lines.pdf">Structure and Motion from Line Segments in Multiple Images</a>, presented by Tep Vuthy</li>\r\n</ul>
316	7	11	Classification<br />\r\nPrincipal Components Analysis	<ul>\r\n<li>Forsyth and Ponce, Chapter 22</li>\r\n<li><a href="../cvreadings/Shlens-PCA.pdf">PCA Tutorial</a> by Jon Shlens.</li>\r\n<li><a href="../cvreadings/Zhao-Car.pdf">Car Detection in Low Resolution Aerial Image</a>, presented by Khine Thet Nwe</li></ul>
317	7	10	OpenCV+IPP tutorial<br />\r\nClassification	<ul>\r\n<li>Matt's <a href="../cvcode/Notes.txt">Linux OpenCV+IPP Mini-HOWTO</a>.</li>\r\n<li><a href="../cvcode/opencv2/prog2.c">OpenCV  tutorial code</a> (Canny edge detection).</li>\r\n<li><a href="../cvcode/opencv2/Makefile">Makefile</a> for tutorial code.</li>\r\n<li>Forsyth and Ponce, Chapter 22</li>\r\n<li><a href="../cvreadings/Deguchi-Direct.pdf">A Direct Interpretation of Dynamic Images with Camera and Object Motions for Vision Guided Robot Control</a>, presented by Muhammad Tufail</li>\r\n</ul>
318	7	9	Convolution, Smoothing, Derivatives	<ul>\r\n<li><a href="../cvreadings/Tomasi-Image.pdf">Tomasi, Convolution, Smoothing, and Image Derivatives</a></li>\r\n<li><a href="../cvreadings/Cheng-3D.pdf">Three-Dimensional Reconstruction of Points and Lines with Unknown Correspondence across Images</a>, presented by Nguyen Duy Hung</li>\r\n<li><a href="../cvreadings/Bowyer-Face.pdf">A Survey of Approaches and Challenges in 3D and multimodal 3D + 2D face recognition</a>, presented by Abdul Rehman Abbasi</li>\r\n</ul>
319	7	7	Multiple View Geometry	<ul>\r\n<li>Trucco and Verri, Chapter 7</li>\r\n<li><a href="../cvreadings/Shi-NCuts.pdf">Normalized Cuts and Image Segmentation</a>, presented by Yin Aye Moe</li>\r\n<li><a href="../cvreadings/Manjunath-Texture.pdf">Unsupervised Texture Segmentation Using Markov Random Fields</a>, presented by Supattra Srithong</li>\r\n</ul>
320	7	6	Multiple View Geometry	<ul>\r\n<li>Trucco and Verri, Chapter 7</li>\r\n<li><a href="../cvreadings/Xiao-Triview.pdf">Tri-View Morphing</a>, presented by Pin Chatkaewmanee</li>\r\n<li><a href="../cvreadings/Stenger-Hand.pdf">Model-Based Hand Tracking Using an Unscented Kalman Filter</a>, presented by Punthip Paetyangkul</li>\r\n</ul>
321	7	5	Camera Calibration	<ul>\r\n<li><a href="../cvreadings/Martinez-Gomez-Realtime.pdf">Real  Time Vision System for a Small Size League Team</a>, presented by Prashanta Man Shrestha</li>\r\n<li><a href="../cvreadings/Kass-Snakes.pdf">Snakes: Active Contour Models</a>, presented by Ramesh Marikhu</li>\r\n</ul>
322	7	4	Camera Calibration	<ul>\r\n<li>Some example camera calibration code in Octave: <a href="../cvcode/calib_lin.m">calib_lin.m</a> but be careful; this code does not include data normalization!</li>\r\n<li>Forsyth and Ponce Chapter 3</li>\r\n<li><a href="../cvreadings/Viola-Face.pdf">Robust Real-Time Face Detection</a>, presented by Khin Swe Nwe</li>\r\n<li><a href="../cvreadings/Zufferey-Fly.pdf">\r\nFly-Inspired Visual Steering of an Ultralight Indoor Aircraft</a>, presented by Saranakom Cheecharoen</li>\r\n<li><a href="../cvreadings/Trivedi-Looking.pdf"><em>Looking-in</em> and <em>Looking-out</em> of a Vehicle: Selected Investigations in Computer Vision Based Enhanced Vehicle Safety</a>, presented by \tKeeradit Angsutornrangsi</li>\r\n</ul>
323	7	3	Camera Calibration	<ul>\r\n<li>Forsyth and Ponce Chapter 3</li>\r\n<li>\r\n<a href="../cvreadings/Rabiner-Tutorial.pdf">\r\nA tutorial on Hidden Markov Models and Selected Applications in Speech Recognition</a>,\r\npresented by Sidath Pragnaratna</li>\r\n</ul>
324	7	1	Introduction<br />Camera Geometry	<ul>\r\n<li>Forsyth and Ponce Chapter 1-2</li>\r\n<li>\r\n<a href="../cvreadings/Uyttendaele-Exploration.pdf">\r\nHigh-quality image-based interactive exploration of real-world environments</a>, presented by Rassarin Chinnachodteeranun</li>\r\n</ul>
325	7	2	Camera Geometry	<ul>\r\n<li>Forsyth and Ponce Chapter 2-3</li>\r\n<li>\r\n<a href="../cvreadings/Sala-Landmark.pdf">\r\nLandmark selection\r\nfor vision-based navigation</a>,\r\npresented by Akash Dev Nakarmi</li>\r\n</ul>
326	6	15	<ul><li>MapServer</li></ul>	<ul><li><a href="/~mdailey/class/web/postgis-1.1.6.tar.gz">PostGIS</a> package for PostgreSQL</li>\r\n<li><a href="/~mdailey/class/web/mapserver-4.10.0.tar.gz">MapServer</a> source code</li>\r\n<li><a href="/~mdailey/class/web/gdal-1.3.2.tar.gz">GDAL graphics library</a> source code</li>\r\n<li><a href="/~mdailey/class/web/mapserv-demo.tar.gz">MapServer Demo</a></li>\r\n<li><a href="/~mdailey/class/web/tutorial.zip">MapServer Tutorial</a> from <a href="http://mapserver.gis.umn.edu/author/pericles">Pericles Nacionales</a></li>\r\n</ul>
327	6	13	<ul><li>Ajax</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, set 11</li>\r\n<li><a href="/~mdailey/class/web/ZIP_CODES.txt.gz">Zip code database</a> from <a href="http://www.cfdynamics.com/zipbase/">CFDynamics</a> for lab 11</li>\r\n<li><a href="/~mdailey/class/web/customer_form.html">Non-Ajax HTML form template</a></li>\r\n</ul>
328	6	14	<ul><li>Ajax</li><li>Open standards</li><li>Student survey</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, set 11</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=gethandout&course_id=6&handout_id=13">Student survey (Handout 13)</a></li>\r\n<li><a href="/~mdailey/class/web/Error-0.17008.tar.gz">Error</a> Perl module for Lab 12</li>\r\n<li><a href="/~mdailey/class/web/IPC-ShareLite-0.09.tar.gz">IPC-ShareLite</a> Perl module for Lab 12</li>\r\n<li><a href="/~mdailey/class/web/Cache-Cache-1.05.tar.gz">FileCache</a> Perl module for Lab 12</li>\r\n<li><a href="/~mdailey/class/web/IMDB-Film-0.22.tar.gz">Internet Movie Database</a> Perl module for Lab 12</li>\r\n<li><a href="/~mdailey/class/web/imdb_get.pl">IMDB fetching</a> Perl script for Lab 12</li>\r\n</ul>
329	6	11	<ul><li>Web services</li><li>Service Oriented Architecture</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, sets 09-10</li>\r\n<li><a href="/~mdailey/class/web/soap-server-example.tar.gz">Example   SOAP server for lab8</a>.</li></ul>
330	6	12	<ul><li>Service-Oriented Architecture</li>\r\n<li>Ruby on Rails lab</li>\r\n<li>Plone lab</li>\r\n</ul>	<ul><li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, set 10</li>\r\n<li><a href="/~mdailey/class/web/ArgoUML-0.22.zip">ArgoUML package</a> for Lab 10</li>\r\n<li><a href="https://zope.cs.ait.ac.th/csim/courses/wae06">Instructions for Lab 10 (Plone)</a> (you need a CSIM account to access the page).</li>\r\n<li><a href="/~mdailey/class/web/jre-1_5_0_09-linux-i586-rpm.bin">Java  Runtime Environment</a> for Linux</li>\r\n</ul>
331	6	5	<ul>\r\n<li>ICT for sustainable tourism (special guest lecture by David Hastings, <a href="http://unescap.org/icstd/">ICSTD division</a>, <a href="http://unescap.org">UN ESCAP</a>)</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/readings/Hastings-SustainableTourism.pdf">Sustainable Development via ICT-enabled e-Travel</a> (paper)</li>\r\n<li><a href="/~mdailey/readings/Hastings-TourismTalk.pdf">Applying ICT to e-Culture</a> (presentation)</li>\r\n<li><a href="http://66.34.33.15/guide/">Insider's Guide to Bangkok</a> (web site)</li>\r\n</ul>
332	6	10	<ul><li>Web services</li></ul>	<ul>\r\n<li><a href="http://philip.greenspun.com/seia/distributed-computing">SEIA Chapter 14</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, set 09</li>\r\n<li><a href="/~mdailey/class/web/lab7.tar.gz">Scripts and data model for lab 7</a>.</li>\r\n</ul>
333	6	9	<ul><li>Scaling your Web application</li></ul>	<ul>\r\n<li><a href="http://philip.greenspun.com/seia/scaling">SEIA Chapter 11</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, set 08</li>\r\n<li><a href="/~mdailey/class/web/Pound-2.1.4.tgz">Source code for pound</a>, a simple cross-platform open-source load balancing package.</li>\r\n</ul>
334	6	8	<ul><li>Mobile access to the community</li></ul>	<ul>\r\n<li><a href="http://philip.greenspun.com/seia/mobile">SEIA Chapter 9</a></li>\r\n<li><a href="/~mdailey/class/web/wapaka.tar.gz">Wapaka</a> WAP microbrowser for Java</li>\r\n<li><a href="/~mdailey/class/web/jre-1_5_0_09-linux-i586-rpm.bin">Java  Runtime Environment</a> for Linux</li>\r\n<li><a href="/~mdailey/class/web/WAP-WTAI.pdf">WAP  Wireless Telephony Application Interface</a> specification</li>\r\n</ul>
335	6	7	<ul><li>XML/XSLT in the presentation layer</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, set 06</li>\r\n<li><a href="/~mdailey/class/web/lab4.tar.gz">Code</a> for lab 04 mini-application.</li>\r\n<li><a href="/~mdailey/class/web/lab4-partial-soln.tar.gz">Partial solution for lab 04</a></li>\r\n</ul>
336	6	6	<ul>\r\n<li>Database normalization</li>\r\n<li>Quick intro to UML</li>\r\n</ul>	<ul><li><a href="http://philip.greenspun.com/seia">SEIA</a> Chapters 4-6</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, sets 02, 05</li>\r\n</ul>
337	6	4	<ul><li>Client authentication</li></ul>	<ul>\r\n<li><a href="/~mdailey/readings/Fu-DosDonts.pdf">Dos and Don'ts of Client Authentication on the Web</a></li>\r\n<li><a href="/~mdailey/class/web/mvc-example-2/lab3.dump.txt">Database dump</a> for authentication example</li>\r\n<li><a href="/~mdailey/class/web/mvc-example-2/mvc-example-v2.tar.gz">PHP  code</a> for the authentication example</li>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, set 04</li>\r\n</ul>
338	6	1	<ul><li>Introduction</li></ul>	<ul>\r\n<li><a href="http://philip.greenspun.com/seia">SEIA</a>, <a href="http://philip.greenspun.com/seia/introduction">Chapter 1 (Introduction)</a></li>\r\n<li><a href="http://philip.greenspun.com/seia">SEIA</a>, \r\n<a href="http://philip.greenspun.com/seia/basics">Chapter 2 (Basics)</a></li>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, set 01</li>\r\n</ul>
339	6	2	<ul><li>Introduction<br />(structuring your applications)</li>\r\n<li>Data modeling</li>\r\n</ul>	<ul>\r\n<li>\r\n<a href="http://philip.greenspun.com/sql">SQL For Web Nerds</a></li>\r\n<li>Code for a mini-app based on the MVC pattern: <a href="/~mdailey/class/web/mvc-example/mvc-example.tar.gz">mvc-example.tar.gz</a>\r\n</li>\r\n<li>Database dump for the above mini-app: <a href="/~mdailey/class/web/mvc-example/dump.wae.txt">dump.wae.txt</a></li>\r\n<li>A trivial little XML example: <a href="/~mdailey/class/web/xml-example/xml-test.html.txt">xml-test.html</a>,\r\n<a type="text/plain" href="/~mdailey/class/web/xml-example/xml-test-exec.php.txt">xml-test-exec.php</a>.</li>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, sets 01-02</li>\r\n</ul>
340	6	3	<ul><li>Planning</li><li>Change control with Subversion</li></ul>	<ul><li><a href="http://philip.greenspun.com/seia/planning">SEIA Chapter 3</a></li>\r\n<li><a href="http://svnbook.red-bean.com/nightly/en/index.html">Version Control with Subversion</a></li>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&amp;course_id=6&amp;course_page=lecture_notes">Lecture notes</a>, set 03</li></ul>
341	10	32	<ul>\r\n<li>Student progress project review, iteration 5</li>\r\n<li>Wrap-up</li>\r\n<li>Lecture time: 13:00-15:00</li>\r\n</ul>	
342	10	31	<ul>\r\n<li>Java EE middleware</li>\r\n<li>Lecture time: 13:00-14:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 09</li>\r\n</ul>
343	10	29	<ul>\r\n<li>Java EE middleware</li>\r\n<li>Lecture time: 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 09</li>\r\n</ul>
344	10	30	<ul>\r\n<li>Java EE middleware</li>\r\n<li>Lecture time: 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 09</li>\r\n</ul>
345	10	14	<ul>\r\n<li>Object-oriented design</li>\r\n<li>Enterprise patterns</li>\r\n<li>Lecture time: 13:00-15:00</li>\r\n</ul>\r\n	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 06</li>\r\n<li>Arlow and Neustadt, Chapter 19, 20</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 07</li>\r\n<li>Fowler, Chapter 2</li>\r\n</ul>
346	10	15	<ul><li>UML lab: Design (joint lab with ISDM)</li>\r\n<li>Lab time is 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 06</li>\r\n<li><a href="/~mdailey/class/sw-arch/design-lab/">Student materials for IBM Course DEV496, <i>Mastering Rational Software Architect</i></a></li>\r\n<li><a href="/~mdailey/class/sw-arch/AcmeLabFeb15Soln.zip">Solution for the lab exercise</a></li>\r\n</ul>
347	10	16	<ul><li>Guest lecture from Oracle Corporation (ISDM class)</li></ul>	
348	10	17	<ul>\r\n<li>Student project progress review, iteration 2</li>\r\n<li>Class time: 13:00-14:00</li>\r\n</ul>	
349	10	18	<ul>\r\n<li>Architectural patterns for enterprise applications (domain logic)</li>\r\n<li>Class time: 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 07</li>\r\n<li>Fowler, Chapter 2, 9</li>\r\n</ul>
350	10	20	<ul>\r\n<li>UML lab: Design</li>\r\n<li>Lab time is 13:00-14:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 06</li>\r\n<li><a href="/~mdailey/class/sw-arch/design-lab/">Student materials for IBM Course DEV496, <i>Mastering Rational Software Architect</i></a></li>\r\n<li><a href="http://www-128.ibm.com/developerworks/patterns/">IBM Patterns for E-Business</a></li>\r\n<li><a href="/~mdailey/class/sw-arch/AcmeLabFeb15Soln.zip">Solution for the previous week's lab exercise</a></li>\r\n</ul>
351	10	21	<ul>\r\n<li>Architectural patterns for enterprise applications (data source)</li>\r\n<li>Class time: 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 07</li>\r\n<li>Fowler Ch 3,10-13</li>\r\n</ul>
352	10	22	<ul>\r\n<li>Student project progress review, iteration 3</li>\r\n<li>Architectural patterns for enterprise applications (data source)</li>\r\n<li>Class time: 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 07</li>\r\n<li>Fowler Ch 3,10-13</li>\r\n</ul>
353	10	23	<ul>\r\n<li>UML lab: Design</li>\r\n<li>Lab time is 13:00-14:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 06</li>\r\n<li><a href="/~mdailey/class/sw-arch/design-lab/">Student materials for IBM Course DEV496, <i>Mastering Rational Software Architect</i></a></li>\r\n</ul>
354	10	24	<ul>\r\n<li>Student project progress review, iteration 4</li>\r\n<li>Architectural patterns for enterprise applications (presentation)</li>\r\n<li>Class time: 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 07</li>\r\n<li>Fowler Ch 4,14</li>\r\n</ul>
355	10	25	<ul>\r\n<li>Architectural patterns for enterprise applications (concurrency, session state)</li>\r\n<li>Class time: 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 07</li>\r\n<li>Fowler Ch 5,6,16,17</li>\r\n</ul>
356	10	26	<ul>\r\n<li>UML lab: Design</li>\r\n<li>Lab time: 13:00-14:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 06</li>\r\n<li><a href="/~mdailey/class/sw-arch/design-lab/">Student materials for IBM Course DEV496, <i>Mastering Rational Software Architect</i></a></li>\r\n</ul>
357	10	27	<ul>\r\n<li>Architectural patterns for enterprise applications (distribution)</li>\r\n<li>Lecture time: 17:00-18:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 07</li>\r\n<li>Fowler Ch 7,15</li>\r\n</ul>
358	10	28	<ul>\r\n<li>Service-oriented architecture</li>\r\n<li>Lecture time: 13:00-16:00</li>\r\n</ul>	<ul>\r\n<li>Guest lecture by Seema Bawa, Thapar University, India, 14:00-15:00 on grid computing.</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=6&course_page=lecture_notes">Lecture notes for Web Application Engineering</a>, set 9 (Web services) and set 10 (SOA), as refreshers</li>\r\n<li>Keen et al. (2004)</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 08</li>\r\n</ul>
359	10	13	<ul>\r\n<li>Object-oriented design</li>\r\n<li>Lecture time 13:00-14:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 06</li>\r\n<li>Arlow and Neustadt, Chapter 18, 19</li>\r\n</ul>
360	10	12	<ul>\r\n<li>Object-oriented design</li>\r\n<li>Lecture time 13:00-14:30</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 06</li>\r\n<li>Arlow and Neustadt, Chapter 16, 17</li>\r\n</ul>
361	10	10	<ul><li>UML lab: Analysis (joint lab with ISDM)</li>\r\n<li>Lab time is 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 05</li>\r\n<li>Arlow and Neustadt, Chapter 12</li>\r\n<li><a href="http://www.clearviewtraining.com/CVTPlone/OurBooks/UMLAndTheUnifiedProcessFolder/ECPExampleFolder">Example  e-commerce application design</a> for the lab exercises</li>\r\n</ul>
362	10	11	<ul>\r\n<li>Student proposal presentations</li>\r\n<li>Object-oriented analysis</li>\r\n<li>Lecture time 13:00-14:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 05</li>\r\n<li>Arlow and Neustadt, Chapter 11</li>\r\n</ul>
363	10	8	<ul><li>Object-Oriented analysis</li>\r\n<li>Lecture time 13:00-14:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 05</li>\r\n<li>Arlow and Neustadt, Chapter 6-10</li>\r\n<li>Opportunity to study <a href="http://www.soi.wide.ad.jp/class/20060036/"> Object Oriented Software Development Methodology</a> Feb 20-Mar 15 with Prof. Koichiro Ochimizu of <a href="http://www.jaist.ac.jp/index-e.html">Japan Advanced Institute of Science and Technology</a> through <a href="http://www.interlab.ait.ac.th/">AIT InterLab</a> and the <a href="http://www.soi.wide.ad.jp/en/contents.html">School of Internet Asia Project</a></li>\r\n</ul>
364	10	9	<ul>\r\n<li>Seminar on Services Science at NSTDA</li>\r\n<li>Seminar time: 14:00-15:30 but get there early to sign in.</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/class/sw-arch/SSME-Abstract.pdf">Abstract</a> on the importance of services science</li>\r\n<li><a href="/~mdailey/class/sw-arch/SSME-Seminar-Schedule.pdf">Schedule</a> for the seminar</li>\r\n<li><a href="/~mdailey/class/sw-arch/SSME-Register.pdf">Registration form</a> for the seminar</li>\r\n<li>IBM's <a href="http://www.ibm.com/gio">Global Innovation Outlook</a></li>\r\n</ul>
365	10	5	<ul>\r\n<li>Architectural views</li>\r\n<li>Lecture time 15:30-17:00</li>\r\n<li>Note that there are two lectures on the same day!</li>\r\n</ul>	<ul>\r\n<li>Booch et al.\r\n<li>Garland and Anthony, Ch 1.</li>\r\n<li>Bass et al., Chapter 2</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 03</li>\r\n</ul>
366	10	6	<ul>\r\n<li>Non-functional requirements and attribute-driven design</li>\r\n<li>Lecture time 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 04</li>\r\n<li>Bass et al.</li>\r\n</ul>
367	10	7	<ul><li>UML lab: Analysis (joint lab with ISDM)</li>\r\n<li>Lab time is 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 05</li>\r\n<li>Arlow and Neustadt, Chapter 6-8</li>\r\n<li><a href="http://www.clearviewtraining.com/CVTPlone/OurBooks/UMLAndTheUnifiedProcessFolder/ECPExampleFolder">Example  e-commerce application design</a> for the lab exercises</li>\r\n</ul>
368	10	4	<ul>\r\n<li>Introduction to enterprise software architecture</li>\r\n<li>Lecture time 13:00-14:00</li>\r\n</ul>	<ul>\r\n<li>Fowler, Chapter 1</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 01</li>\r\n</ul>
369	10	2	<ul><li>UML lecture (joint lecture with ISDM), by Dr. Paul Janecek</li>\r\n<li>Lecture time 13:00-15:30</li></ul>	<ul>\r\n<li><a href="https://zope.cs.ait.ac.th/csim/courses/isdm/lecture-notes/dev275_uml2_stuman3.pdf/view">Dr. Janecek's lecture notes</a></li>\r\n<li>Pilone and Pitman</li>\r\n<li>Booch, Rumbaugh, and Jacobson</li>\r\n<li>Arlow and Neustadt</li>\r\n</ul>
370	10	3	<ul><li>UML lab: Requirements (joint lab with ISDM)</li>\r\n<li>Lab time 13:00-16:00</li>\r\n<li>Note date change to Friday Jan 19</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 02</li>\r\n<li>Arlow and Neustadt, Chapter 3, 4</li>\r\n<li><a href="http://www.clearviewtraining.com/CVTPlone/OurBooks/UMLAndTheUnifiedProcessFolder/ECPExampleFolder">Example  e-commerce application design</a> for the lab exercises</li>\r\n<li><a href="/~mdailey/class/sw-arch/REQ480-Module3.pdf">IBM Course REQ480, <i>Mastering Requirements Management with Use Cases (RMUC), Module 3 (Introduction to Use-Case Modeling)</i></li>\r\n<li><a href="/~mdailey/class/sw-arch/DEV396.pdf">IBM Course DEV396, <i>Essentials of Rational Software Architect</i></a></li>\r\n</ul> 
371	10	1	<ul>\r\n<li>Architectural design principles</li>\r\n<li>Lecture time 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li>Bass et al., Chapter 1</li>\r\n<li>Arlow and Neustadt, Chapter 1</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=10&course_page=lecture_notes">Lecture  notes</a>, set 01</li>\r\n</ul>
372	10	33	<ul>\r\n<li>Final project presentations</li>\r\n<li>Lecture time: 9:00-11:00</li>\r\n</ul>	
373	29	19	<ul><li><b>Projects due</b></li><li>Project presentations</li></ul>	<ul><li>Presentations:\r\n<ul>\r\n<li>Sarawoot</li>\r\n<li>Prina</li>\r\n<li>Thu</li>\r\n<li>Prabal</li>\r\n<li>May</li>\r\n<li>Chaianun</li>\r\n</ul></li>\r\n<li>Student survey (see the <a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=handouts">handout 3</a>)</li>\r\n</ul>
374	29	6	<ul>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch. 4,6</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, sets 02,03.</li>\r\n<li><a href="/~mdailey/cvreadings/Fischler-RANSAC.pdf">Original RANSAC paper</a> by Fischler and Bolles</li>\r\n</ul>
375	29	7	<ul>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch. 6,7,9</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, sets 03,04.</li>\r\n<li><a href="/~mdailey/class/vision/P_Demo.zip">Octave/Matlab code for camera matrix estmation demo</a></li>\r\n<li>Moghaddam, Jebara, and Pentland, <a href="/~mdailey/cvreadings/Moghaddam-BayesianFace.pdf">Bayesian Face Recognition</a>, presented by Thu Yein Win.</li>\r\n</ul>
376	29	8	<ul>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n<li>Introduction to computer vision with OpenCV</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch. 9,10.</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 04.</li>\r\n<li>Tutorial on <a href="https://webeng.cs.ait.ac.th/cvwiki/matlab:tutorial:rectification">stereo rectification in Matlab</a></li>\r\n<li><a href="https://webeng.cs.ait.ac.th/cvwiki/opencv:main">OpenCV information</a> on the <a href="http://webeng.cs.ait.ac.th/cvwiki">AIT computer vision wiki</a></li>\r\n<li><a href="/~mdailey/cvcode/opencv1/prog1.c">OpenCV tutorial code</a> (skin detection).</li>\r\n<li><a href="/~mdailey/cvcode/opencv1/neghist_hsv16bins.dat">Non-skin histogram data file</a> (thanks to Nyan Bo Bo)</li>\r\n<li><a href="/~mdailey/cvcode/opencv1/poshist_hsv16bins.dat">Skin  histogram data file</a> (thanks to Nyan Bo Bo).</li>\r\n<li><a href="/~mdailey/cvcode/opencv1/Makefile">Makefile</a> for OpenCV tutorial code.</li>\r\n<li>Papers on image annotation, presented by Chaianun Damrongrat:\r\n<ul>\r\n<li>Gao, Wang, and Lee, <a href="/~mdailey/cvreadings/Gao-Annotation.pdf">Automatic Image Annotation Through Multi-Topic Text Categorization</a></li>\r\n<li>Jeon, Lavrenko, and Manmatha, <a href="/~mdailey/cvreadings/Jeon-Annotation.pdf">Automatic Image Annotation and Retrieval Using Cross-Media Relevance Models</a></li>\r\n</ul></li>\r\n</ul>
377	29	9	<ul>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n<li>More OpenCV</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch. 10,11.</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 04.</li>\r\n<li>Lowe, <a href="/~mdailey/cvreadings/Lowe-SIFT.pdf">   Distinctive image features\r\nfrom scale-invariant keypoints</a></li>\r\n<li><a href="/~mdailey/cvcode/Golf-Experiment.zip">Golf course code and data set</a></li>\r\n<li><a href="/~mdailey/cvcode/sift-1.1.1_20070330.tar.gz">Hess SIFT toolkit</a></li>\r\n<li>Wolf and Zomet, <a href="/~mdailey/cvreadings/Wolf-UnsynchronizedMatching.pdf">Wide baseline matching between unsynchronized video sequences</a>, presented by May Hnin Oo</li>\r\n<li>Yamato, Ohya, and Ishi, <a href="/~mdailey/cvreadings/Yamato-HumanAction.pdf">Recognizing human action in time-sequential images using hidden Markov model</a>, presented by Kan Ouivirach</li>\r\n</ul>
378	29	10	<ul>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch.  11,12,18.</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 04.</li>\r\n<li>Peng, Feng, and McCallum, <a href="/~mdailey/cvreadings/Peng-ChineseSegmentation.pdf">Chinese segmentation and new word detection using conditional random fields</a>, presented by Sarawoot Kongyoung</li>\r\n</ul>
379	29	11	<ul>\r\n<li>Learning (fundamentals)</li>\r\n</ul>	<ul>\r\n<li>Forsyth and Ponce, Chapter 22</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 06.</li>\r\n<li>Lawrence, Giles, Tsoi, and Back, <a href="/~mdailey/cvreadings/Lawrence-ConvolutionalFace.pdf">Face recognition: A convolutional neural network approach</a>, presented by Le Nhan Tam</li>\r\n</ul>
380	29	12	<ul>\r\n<li>Learning (principal components analysis)</li>\r\n</ul>	<ul>\r\n<li>Schlens, <a href="http://www.cs.ait.ac.th/~mdailey/cvreadings/Shlens-PCA.pdf">A  tutorial on principal components analysis</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 06.</li>\r\n<li><a href="/~mdailey/cvcode/PCA-Demo.zip">Octave code and face images</a> for the PCA demo.</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/matlab/">Matt's  Matlab Tutorial</a> on PCA.</li>\r\n<li>Carneiro, Chan, Moreno, and Vasconcelos, <a href="/~mdailey/cvreadings/Carneiro-Annotation.pdf">Supervised Learning of Semantic Classes for Image Annotation and Retrieval</a>, presented by Chaianun Damrongrat</li>\r\n<li>Papers on apple grading, by Supawadee Chaivivatrakul:\r\n<ul>\r\n<li>Leemans, Magein, and Destain, <a href="/~mdailey/cvreadings/Leemans-AppleColor.pdf">Defects segmentation on "Golden Delicious" apples by using colour machine vision</a></li>\r\n<li>Leemans, Magein, and Destain, <a href="/~mdailey/cvreadings/Leemans-AppleBayes.pdf">Defect segmentation on "Jonagold" apples using colour vision and a Bayesian classification method</a></li>\r\n<li>Leemans, Magein, and Destain, <a href="/~mdailey/cvreadings/Leemans-AppleGrading.pdf">On-line Fruit Grading according to their External Quality using Machine Vision\r\n</a></li>\r\n<li>Leemans and Destain, <a href="/~mdailey/cvreadings/Leemans-AppleRealtime.pdf">A real-time grading method of apples based on features extracted from defects</a></li>\r\n</ul>\r\n</ul>
381	29	18	<ul>\r\n<li>Tracking</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 07.</li>\r\n<li><a href="/~mdailey/cvcode/ekf_demo.m">Octave code</a> for extended Kalman filter tutorial demo</li>\r\n<li>Dollar, Rabaud, Cottrell, and Belongie, <a href="/~mdailey/cvreadings/Dollar-Behavior.pdf">Behavior recognition via sparse spatio-temporal features</a>, presented by Do Tuan Anh</li>\r\n</ul>
382	29	16	<ul>\r\n<li>Learning</li>\r\n<li>Tracking</li>\r\n</ul>	<ul>\r\n<li>Schiele and Crowley, <a href="/~mdailey/cvreadings/Schiele-Histograms.pdf">Recognition without correspondence using multidimensional receptive field histograms</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, sets 06-07.</li>\r\n<li>Sun, Shum, and Zheng, <a href="/~mdailey/cvreadings/Sun-Stereo.pdf">Stereo matching using belief propagation</a>, presented by Prina Bajracharya</li>\r\n</ul>
383	29	17	<ul>\r\n<li>Learning</li>\r\n<li>Tracking</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, sets 06, 07.</li>\r\n<li>Deng and Manjunath, <a href="/~mdailey/cvreadings/Deng-ColorTexture.pdf">Unsupervised segmentation of color-texture regions in images and video</a>, presented by Do Tuan Anh</li>\r\n<li>Heikkila and Pietikainen, <a href="/~mdailey/cvreadings/Heikkila-SurveillanceMosaic.pdf">An Image Mosaicing Module for Wide-Area Surveillance</a>, presented by Prabal Khanal</li>\r\n</ul>
384	29	15	<ul>\r\n<li>Learning (bilinear models)</li>\r\n<li>Tracking (intro to the Kalman filter)</li>\r\n</ul>	<ul>\r\n<li>Tennenbaum and Freeman, <a href="/~mdailey/cvreadings/Tenenbaum-Bilinear.pdf">Separating style and content with bilinear models</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, sets 06, 07.</li>\r\n<li>Sala, Sim, Shokoufandeh, and Dickinson, <a href="/~mdailey/cvreadings/Sala-Landmark.pdf">Landmark selection for vision-based navigation</a>, presented by May Hnin Oo</li>\r\n<li>Gao, Hauptmann, Bharucha, and Wactlar, <a href="/~mdailey/cvreadings/Gao-Dining.pdf">Dining activity analysis using a hidden Markov model</a>, presented by Ran Zask</li>\r\n</ul>
385	29	14	<ul>\r\n<li>Learning (kernel methods, support vector machines, non-negative matrix factorization)</li>\r\n</ul>	<ul>\r\n<li>Bishop, Chapters 6, 7</li>\r\n<li>Lee and Seung papers:\r\n<ul><li><a href="/~mdailey/cvreadings/Lee-NNMF-Nature.pdf">Learning the parts of objects by non-negative matrix factorization</a></li>\r\n<li><a href="/~mdailey/cvreadings/Lee-NNMF.pdf">Cost functions for non-negative matrix factorization</a></li>\r\n</ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 06.</li>\r\n<li>Carsten, Rankin, Ferguson, and Stentz, <a href="/~mdailey/cvreadings/Carsten-MarsPath.pdf">Global Path Planning on Board the Mars Exploration Rovers</a>, presented by Kyaw Htein Linn</li>\r\n</ul>
386	29	13	<ul>\r\n<li>Learning (linear discriminant analysis, AdaBoost)</li>\r\n</ul>	<ul>\r\n<li>Bishop, Chapters 4, 14</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 06.</li>\r\n<li>Pighin, Szeliski, and Salesin, <a href="/~mdailey/cvreadings/Pighin-Animating.pdf">Modeling and Animating Realistic Faces from Images</a>, presented by Thu Yein Win (45 min)</li>\r\n</ul>
387	29	5	<ul>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n<li><b>Project proposals due</b></li>\r\n<li>Project proposal presentations</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch. 4</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 02.</li>\r\n<li><a href="/~mdailey/class/vision/gs_demo.zip">Octave code</a> for Gold Standard demo.</li>\r\n<li><a href="/~mdailey/cvreadings/Sutton-CRFIntro.pdf">An introduction to conditional random fields for relational learning</a>, presented by Sarawoot Kongyoung</li>\r\n</ul>
388	29	3	<ul>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch. 3,4</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, sets 01,02.</li>\r\n<li>Rabiner, <a href="/~mdailey/cvreadings/Rabiner-Tutorial.pdf">A tutorial on hidden Markov models and selected application in speech recognition</a>, presented by Ran Zask.</li>\r\n</ul>
389	29	4	<ul>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch. 4</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 02.</li>\r\n<li><a href="/~mdailey/class/vision/dlt_demo.m">Octave code</a> for DLT demo.</li>\r\n<li>Viola and Jones, <a href="/~mdailey/cvreadings/Viola-Face.pdf">Robust real-time face detection</a>, presented by Prina Bajracharya</li>\r\n<li>Kojima, Tamura, and Fukunaga, <a href="/~mdailey/cvreadings/Kojima-ActionRecognition.pdf">Natural language description of human activites from video images based on concept hierarchy of actions</a>, presented by Somphop Limsoonthrakul</li>\r\n</ul>
390	29	1	<ul>\r\n<li>Introduction</li>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n<li>Introduction to computer vision with Matlab/Octave</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch. 1,2</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 01.</li>\r\n<li><a href="/~mdailey/class/vision/find_h.m">find_h.m</a> example Matlab/Octave script</li>\r\n</ul>
391	29	2	<ul>\r\n<li>Multiple view geometry and 3D reconstruction</li>\r\n<li>Introduction to typesetting with LaTeX</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Ch. 2,3</li>\r\n<li>Forsyth and Ponce, Ch. 2</li>\r\n<li>The famous <a href="http://cms.brookes.ac.uk/staff/PhilipTorr/Code/master_code.htm">Torr tool</a> for Matlab</li>\r\n<li><a href="http://www.csse.uwa.edu.au/~pk/research/matlabfns/">Peter's Matlab functions</a> for image processing</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=29&course_page=lecture_notes">Lecture notes</a>, set 01.</li>\r\n<li><a href="http://tug.ctan.org/tex-archive/macros/latex/contrib/IEEEtran/">IEEE class files</a> for LaTeX</li>\r\n<li><a href="/~mdailey/cvreadings/matt-latex-examples.zip">Examples for LaTeX tutorial</a></li>\r\n<li><a href="/~mdailey/class/vision/01-Projective.zip">Example LaTeX presentation</a> (the source for Lecture notes 01) using Beamer.</li>\r\n<li>Bayesian maximum a posteriori methods for skin detection, presented by Prabal Kanal:\r\n<ul>\r\n<li>Jones and Rehg, <a href="/~mdailey/cvreadings/Jones-Rehg-Skin.pdf">                                                                                         Statistical color models with application to skin detection</a></li>\r\n<li>Zarit, Super, and Quek, <a href="/~mdailey/cvreadings/Zarit-Skin.pdf">Comparison of five color models in skin classification</a></li>\r\n<li>Wikipedia, <a href="http://en.wikipedia.org/wiki/Naive_Bayes_classifier">Naive Bayes classifier</a></li>\r\n</ul>\r\n</ul>
392	30	4	<ul>\r\n<li>Finish Lab 2: Tomcat installation and configuration</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handout 03</a></li>\r\n</ul>
393	30	34	<ul><li>Student project presentations</li></ul>	
394	30	33	<ul>\r\n<li>Lecture 11</li>\r\n  <ul>\r\n  <li>Service-oriented architecture</li>\r\n  <li>Early bird student project presentations</li>\r\n  </ul>\r\n</ul>	
395	30	26	<ul>\r\n<li>Lab 9: SOAP Web services (continued)\r\n</li>\r\n<li>Lab 10: BPEL for Web Services\r\n</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handouts 10, 11</a></li>\r\n</ul>
396	30	27	<ul><li>No lecture (Matt in VN)</li>	
397	30	28	<ul>\r\n<li>No lab (Matt in VN)</li>\r\n</ul>	
398	30	29	<ul>\r\n<li>No lecture (Matt in Japan)</li>\r\n</ul>	
399	30	30	<ul>\r\n<li>No lab (Matt in Japan)</li>\r\n</ul>	
400	30	31	<ul>\r\n<li>Lecture 10</li>\r\n  <ul>\r\n  <li>Ajax</li>\r\n  </ul>\r\n</ul>	
401	30	32	<ul>\r\n<li>Lab 11: Ajax</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handout 12</a></li>\r\n<li><a href="/~mdailey/class/web/ZIP_CODES.txt.gz">US zip code database</a></li>\r\n<li><a href="/~mdailey/class/web/ajax-test.html">Example HTML form for testing</a></li>\r\n<li><a href="/~mdailey/class/web/imdb_get.pl">imdb_get.pl</a> IMDB client program.</li>\r\n</ul>
402	30	9	<ul>\r\n<li>Lecture 4:</li>\r\n<ul>\r\n<li>Web application security</li>\r\n<li>Page flow modeling</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=lecture_notes"> Lecture notes, sets 04, 05</a></li>\r\n<li><a href="/~mdailey/class/web/store.zip">Example code</a> for Java EE client authentication and access control</li>\r\n</ul>
403	30	10	<ul>\r\n<li>Lab 05: Client authentication, part II</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handout 06</a></li>\r\n</ul>
404	30	11	<ul>\r\n<li>Special lab session on Eclipse with <a href="https://zope.cs.ait.ac.th/csim/courses/sdm/">Software Development Methodologies</a>, CSIM lab</li>\r\n<li>Problem set 2 due (BKK)</li>\r\n</ul>	
405	30	12	<ul>\r\n<li>No lab session (Matt in VN)</li>\r\n<li>Problem set 3 due (BKK)</li>\r\n</ul>	
406	30	13	<ul>\r\n<li>Lecture 5\r\n<ul><li>Web application security</li>\r\n<li>XML and XSLT in the presentation layer</li>\r\n<li>Student project presentations</li>\r\n</ul>\r\n</li>\r\n<li>Problem set 1 due (HCMC)</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=lecture_notes">Lecture notes</a>, sets 04, 06</li>\r\n</ul>
407	30	14	<ul>\r\n<li>Lab 6: XSLT</li>\r\n<li>Problem set 4 due (BKK)</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handout 07</a></li>\r\n<li><a href="/~mdailey/class/web/wae-projects.tar.gz">Code for mini-app</a> for the lab example.</li>\r\n<li><a href="/~mdailey/class/web/index-xsl-lab6.txt">index.xsl</a> for partial solution to lab exercise.</li>
408	30	15	<ul>\r\n<li>Lecture moved to Wed</li>\r\n<li>Problem set 2 due (HCMC)</li>\r\n</ul>	
409	30	16	<ul>\r\n<li>Lecture 6\r\n<ul>\r\n<li>Mobile access to Web applications (WAP)</li>\r\n<li>Voice access to Web applications (VoiceXML)</li>\r\n<li>Guest lecture by <a href="http://www.cs.ait.ac.th/~a104245/">Dararat Kaitrungrit</a> on her open source Thai language VoiceXML gateway project</li>\r\n</ul>\r\n<li>This lecture is rescheduled to <b>Wed Oct 10</b> at 15:00.  We will swap with Theory of Computation.</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=lecture_notes">Lecture notes</a>, set 07</li>\r\n<li><a href="http://philip.greenspun.com/seia">SEIA</a>, Chapters 9-10</li>\r\n<li>Henderson, Chapter 11.2</li>\r\n</ul>
410	30	17	<ul>\r\n<li>Midterm exam 14:00-17:00</li>\r\n<li>Problem set 3 due (HCMC)</li>\r\n</ul>	
411	30	18	<ul>\r\n<li>Lecture 7</li>\r\n<ul>\r\n<li>Scaling Web applications</li>\r\n<li>Web services</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=lecture_notes">Lecture notes</a>, sets 08-09</li>\r\n<li><a href="http://philip.greenspun.com/seia">SEIA</a>, Chapters 11, 14</li>\r\n<li>Henderson (the whole book!)</li>\r\n</ul>
412	30	20	<ul>\r\n<li>Lab 7: Mobile access</li>\r\n<li>Problem set 4 due (HCMC)</li>\r\n<li>Problem set 5 due (BKK)</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handout 08</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/class/web/wapaka2.tar.gz">Wapaka</a> WAP microbrowser for Java</li>\r\n<li><a href="http://philip.greenspun.com/seia/mobile">SEIA Chapter 9</a></li>\r\n<li><a href="/~mdailey/class/web/WAP-WTAI.pdf">WAP Wireless Telephony Application Interface</a></li>\r\n</ul>
413	30	21	<ul><li>No lecture (Matt in VN)</li></ul>	
414	30	22	<ul>\r\n<li>No lab (Matt in VN)</li>\r\n<li>Problem set 5 due (HCMC)</li>\r\n</ul>	
415	30	23	<ul><li>Lecture 8</li><ul><li>Web services</li></ul><li>Problem set 6 due (BKK)</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=lecture_notes">Lecture notes</a>, sets 09, 10</li>\r\n<li><a href="http://philip.greenspun.com/seia">SEIA</a>, Chapter 14</li>\r\n<li>Richarson and Ruby</li>\r\n</ul>
416	30	6	<ul><li>Lab 3: Getting started with Rails</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handout 04</a></li>\r\n</ul>
417	30	7	<ul><li>Lecture 3:</li>\r\n<ul>\r\n<li>Version control</li>\r\n<li>Web application security</a>\r\n</ul></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=lecture_notes"> Lecture notes, sets 03, 04</a></li>\r\n<li><a href="http://svnbook.red-bean.com/nightly/en/index.html">Version Control with Subversion</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/readings/Fu-DosDonts.pdf">Dos and Don'ts of Client Authentication on the Web</a></li>\r\n</ul>
418	31	2	<ul>\r\n<li>Enterprise application architecture</li>\r\n<li>Unified process</li>\r\n<li>Requirements analysis</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=31&course_page=lecture_notes">Lecture notes</a>, sets 01-02</li>\r\n<li>Fowler, Chapter 1</li>\r\n<li>Larman, Chapters 1-6</li>\r\n</ul>
419	30	24	<ul>\r\n<li>Lab 8: Load balancing</li>\r\n<li>Lab 9: SOAP Web services</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handouts 09, 10</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/class/web/pound_2.2.7-2_i386.deb">pound_2.2.7-2_i386.deb</a> load balancing package</li>\r\n<li><a href="http://philip.greenspun.com/seia/scaling">SEIA Chapter 11</a></li>\r\n</ul>
420	31	5	<ul><li>OO Design</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=31&course_page=lecture_notes">Lecture notes</a>, set 04</li>\r\n<li>Larman, Chapters 12-16</li>\r\n</ul>
421	30	25	<ul><li>Lecture 9</li>\r\n<ul><li>REST and resource-oriented architecture</li>\r\n</ul>\r\n<li>Problem set 6 due (HCMC)</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=lecture_notes">Lecture notes</a>, sets 10, 11</li>\r\n<li>Richarson and Ruby</li>\r\n</ul>
422	30	8	<ul>\r\n<li>Lab 4: Client authentication</li>\r\n<li>Problem set 1 due (BKK)</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handout 05</a></li>\r\n<li><a href="/~mdailey/class/web/Auth-Example.zip">Example PHP code</a> for authentication lab</li>\r\n<li><a href="/~mdailey/class/web/student-db.sql">Database dump</a> for authentication lab</li>\r\n<li><a href="http://webeng.cs.ait.ac.th/wae-projects">Sample  mini-application</a></li>\r\n</ul>
423	31	4	<ul>\r\n<li>OO Analysis</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=31&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Larman, Chapters 9-11</li>\r\n</ul>
424	30	5	<ul><li>Lecture 2:</li>\r\n<ul>\r\n<li>Structuring your application</li>\r\n<li>Data modeling</li>\r\n<li>Student project proposals</li>\r\n</ul></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=lecture_notes"> Lecture notes, sets 01,02</a></li>\r\n<li><a href="/~mdailey/class/web/testapp.tar.gz">JSP MVC Example Code</a>, with thanks to <a href="http://www.cs.ait.ac.th/~a105016/">Chokchai Phatharamalai</a>.</li>\r\n<li><a href="http://www.eclipse.org/downloads">Download  page</a> for Eclipse.  You want the "Eclipse IDE for Java EE developers."</li>\r\n<li><a href="http://philip.greenspun.com/seia">SEIA</a>, Chapter 1-2</li>\r\n</ul>
425	31	3	<ul>\r\n<li>Requirements analysis</li>\r\n<li>OO Analysis</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=31&course_page=lecture_notes">Lecture notes</a>, sets 02-03</li>\r\n<li>Larman, Chapters 6-9</li>\r\n</ul>
426	30	1	<ul>\r\n<li>Lab 1: LAPP installation and configuration</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handout 2</a></li>\r\n</ul>
427	30	2	<ul>\r\n<li>Lab 2: Tomcat installation and configuration</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=handouts">Handout 3</a></li>\r\n<li><a href="/~mdailey/class/web/JSP-Lab">Files for JSP lab</a></li>\r\n</ul>
428	30	3	<ul><li>Lecture 1:</li>\r\n<ul>\r\n<li>Course introduction</li>\r\n<li>Structuring your application</li>\r\n<li>Basic Web programming</li>\r\n</ul></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=30&course_page=lecture_notes"> Lecture notes, set 01</a></li>\r\n<li><a href="/~mdailey/class/web/MVC-Example.zip">PHP MVC Example Code</a></li>\r\n<li><a href="http://philip.greenspun.com/seia">SEIA</a>, Chapter 1-2</li>\r\n</ul>
429	31	1	<ul>\r\n<li>Introduction</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=31&course_page=lecture_notes">Lecture notes</a>, set 01</li>\r\n<li>Bass et al., Chapters 1-2</li>\r\n<li>Fowler, Chapter 1</li>\r\n<li>Garland and Anthony, Chapters 1-2</li>\r\n</ul>
430	31	6	<ul><li>OO Design</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=31&course_page=lecture_notes">Lecture notes</a>, set 04</li>\r\n<li>Larman, Chapters 17-21</li>\r\n</ul>
431	32	19	<ul>\r\n<li>Distributed systems architecture</li>\r\n<ul>\r\n<li>Message routing</li>\r\n<li>Message transformation</li>\r\n<li>Messaging endpoints</li>\r\n<li>System management</li>\r\n<li>New and hot</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Hohpe and Woolf, Chapters 7-11, 14</li>\r\n<li>Chappell, D., <a href="/~mdailey/class/sw-arch/Chappell-IntroducingSCA.pdf">Introducing SCA</a>, Chappell and Associates, 2007.</li>\r\n<ul>
432	32	15	<ul>\r\n<li>Distributed systems architecture</li>\r\n<ul>\r\n<li>Message patterns</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Hohpe and Woolf, Chapter 5</li>\r\n<ul>
433	32	16	<ul>\r\n<li>Java EE middleware:\r\n<ul>\r\n<li>Introduction to JMS</li>\r\n<li>Message-driven beans</li>\r\n<li>JMS lab session</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 02</li>\r\n<li>Jendrock et al, Chapter 31</li>\r\n<li>Burke and Monson-Haefel Chapter 12</li>\r\n<li>Hohpe and Woolf, Chapter 6</li>\r\n<li><a href="/~mdailey/class/sw-arch/jms.txt">Lab instructions</a></li>\r\n<ul>
434	32	17	<ul>\r\n<li>Distributed systems architecture</li>\r\n<ul>\r\n<li>Message routing</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Hohpe and Woolf, Chapter 7</li>\r\n<ul>
435	32	18	<ul>\r\n<li>Student project presentations</li>\r\n<li>Distributed systems architecture</li>\r\n<ul>\r\n<li>Message routing</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Hohpe and Woolf, Chapter 7</li>\r\n<ul>
436	32	13	<ul>\r\n<li>Distributed systems architecture</li>\r\n<ul>\r\n<li>Messaging systems</li>\r\n</ul>\r\n<li>Lab session (Maven and EJB3Unit)</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Hohpe and Woolf, Chapter 3</li>\r\n<ul>
437	32	14	<ul>\r\n<li>Distributed systems architecture</li>\r\n<ul>\r\n<li>Message channels</li>\r\n<li>Message types</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Hohpe and Woolf, Chapter 4-5</li>\r\n<ul>
438	32	10	<ul>\r\n<li>Java EE middleware: session beans</li>\r\n<li>Distributed systems architecture</li>\r\n<ul>\r\n<li>Application distribution patterns</li>\r\n<li>Messaging systems</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, sets 02-03</li>\r\n<li>Fowler, Chapter 7,15</li>\r\n<li>Burke and Monson-Haefel Chapters 11,16</li>\r\n<li>Hohpe and Woolf, Introduction</li>\r\n<ul>
439	32	11	<ul>\r\n<li>Distributed systems architecture</li>\r\n<ul>\r\n<li>Messaging systems</li>\r\n<li>Integration patterns overview</li>\r\n</ul>\r\n<li>Project briefing</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Hohpe and Woolf, Introduction, Chapter 1</li>\r\n<ul>
440	32	12	<ul>\r\n<li>Distributed systems architecture</li>\r\n<ul>\r\n<li>Integration patterns overview</li>\r\n<li>Integration styles</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Hohpe and Woolf, Chapters 1-2</li>\r\n<ul>
441	32	7	<ul>\r\n<li>Java EE data source middleware</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 02</li>\r\n<li>Burke and Monson-Haefel Chapter 5-8</li>\r\n<ul>
442	32	8	<ul>\r\n<li>Java EE data source middleware</li>\r\n<li>Patterns for enterprise software architecture</li>\r\n<ul>\r\n<li>Concurrency</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, sets 01-02</li>\r\n<li>Burke and Monson-Haefel Chapter 9</li>\r\n<li>Fowler, Chapter 5</li>\r\n<ul>
443	32	9	<ul>\r\n<li>Patterns for enterprise software architecture</li>\r\n<ul>\r\n<li>Concurrency</li>\r\n<li>Session state</li>\r\n</ul>\r\n<li>Java EE middleware: session state, transactions</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, sets 01-02</li>\r\n<li>Fowler, Chapter 5-6,16-17</li>\r\n<li>Burke and Monson-Haefel Chapters 11,16</li>\r\n<ul>
444	32	3	<ul>\r\n<li>Enterprise JavaBeans intro (meet in lab)</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/class/sw-arch/Jan08">Tutorial materials</a></li>\r\n</ul>
445	32	4	<ul>\r\n<li>Patterns for enterprise software architecture</li>\r\n<ul>\r\n<li>Data source</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 01</li>\r\n<li>Fowler Chapter 3, 10</li>\r\n</ul>
446	32	5	<ul>\r\n<li>Patterns for enterprise software architecture</li>\r\n<ul>\r\n<li>Data source</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 01</li>\r\n<li>Fowler Chapter 3, 10, 11</li>\r\n<ul>
447	32	6	<ul>\r\n<li>Patterns for enterprise software architecture</li>\r\n<ul>\r\n<li>Data source</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 01</li>\r\n<li>Fowler Chapter 3, 10, 12</li>\r\n<ul>
448	32	1	<ul>\r\n<li>Introduction</li>\r\n<li>Patterns for enterprise software architecture</li>\r\n<ul>\r\n<li>Layering</li>\r\n<li>Domain logic</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, set 01</li>\r\n<li>Fowler Chapter 0, 1, 2, 9</li>\r\n</ul>
449	32	2	<ul>\r\n<li>Patterns for enterprise software architecture</li>\r\n<ul>\r\n<li>Domain logic</li>\r\n</ul>\r\n<li>Java EE middleware</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=32&course_page=lecture_notes">Lecture notes</a>, sets 01, 02</li>\r\n<li>Fowler Chapter 0, 1, 2, 9</li>\r\n<li>Burke and Monson-Haefel Chapter 1-4</li>\r\n</ul>
450	33	5	<ul>\r\n<li>Lecture time: 0900-1100</li>\r\n<li>Parallel port programming</li></ul>	
451	33	3	<ul>\r\n<li>Lecture time: 0900-1100</li>\r\n<li>Serial port programming</li>\r\n</ul>	<ul>\r\n<li>Serial programming tutorial (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=33&course_page=lecture_notes">Lecture Notes</a> set 3)</li>\r\n<li>Example serial communication programs: <a href="/~mdailey/class/linux/serial-example.zip">serial-example</a></li>\r\n</ul>
452	33	4	<ul>\r\n<li>Lecture time: 1300-1600</li>\r\n<li>Software architecture:</li>\r\n<ul>\r\n<li>Implementing message passing</li>\r\n<li>Implementing an event-driven publish-subscribe architecture</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Real time system architecture notes (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=33&course_page=lecture_notes">Lecture Notes</a> set 4)</li>\r\n<li><a href="/~mdailey/class/linux/mq-test.zip">Message queue test program</a></li>\r\n<li><a href="/~mdailey/class/linux/robot-loc.zip">Example publish-subscribe application</a></li>\r\n<li><a href="/~mdailey/class/linux/FootballField.mpg">Test video for the publish-subscribe application</a></li>\r\n<li><a href="/~mdailey/class/linux/gps_dump.txt">Test GPS data for the publish-subscribe application</a></li>\r\n</ul>
453	33	1	<ul>\r\n<li>Lecture time: 0900-1200</li>\r\n<li>Eclipse C/C++ IDE</li>\r\n<li>Subversion version control</li>\r\n<li>GTK+ GUI Programming</li>\r\n</ul>	<ul>\r\n<li>Eclipse and Subversion tutorial (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=33&course_page=lecture_notes">Lecture Notes</a> set 1)</li>\r\n<li>Sample GTK GUI program: <a href="/~mdailey/class/linux/gtk-test.zip">gtk-test</a> (thanks to Thu Yein Win and the GTK+ tutorial)</li>\r\n</ul>
454	33	2	<ul>\r\n<li>Lecture time: 1300-1600</li>\r\n<li>Interprocess communication </li>\r\n<li>POSIX threads (pthreads)</li>\r\n<li>pthreads synchronization primitives</li>\r\n</ul>	<ul>\r\n<li>IPC and threads tutorial (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=33&course_page=lecture_notes">Lecture Notes</a> set 2)</li>\r\n<li>Example IPC program: <a href="/~mdailey/class/linux/ipc-example.zip">ipc-example</a></li>\r\n<li>Basic pthreads program: <a href="/~mdailey/class/linux/pthread-basic.zip">pthread-basic</a> (thanks to Somphop Limsoonthrakul and the tutorial at LLNL)</li>\r\n<li>pthreads implementation of readers/writers problem: <a href="/~mdailey/class/linux/readers-writers.zip">readers-writers</a> (thanks to Somphop Limsoonthrakul and Andrae Muys' tutorial)</li>\r\n</ul>
455	34	17	<ul>\r\n<li>Machine learning in vision</li>\r\n<li>Video, tracking, and sequential state estimation</li>\r\n<li>Class time: 1430-1700</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> sets 7,8</li>\r\n<li><a href="/~mdailey/cvreadings/Ho-LoopClosure.pdf">Detecting loop closure with scene sequences</a>, presented by Irshad Ali</li>\r\n<li><a href="/~mdailey/cvreadings/Heisele-Face.pdf">A Component-based Framework for Face Detection and Identification</a>, presented by Thaweepol</li>\r\n</ul>
456	34	15	<ul>\r\n<li>Machine learning in vision</li>\r\n<li>Class time: 1400-1700</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 7</li>\r\n<li><a href="/~mdailey/cvreadings/Agarwal-Hyperfeatures.pdf">Multilevel image coding with hyperfeatures</a>, presented by Pongsak Srithongnopawong</li>\r\n<li><a href="/~mdailey/cvreadings/Winkelbach-Pairwise.pdf">Pairwise matching of 3D fragments using cluster trees</a>, presented by Faisal Bukhari</li>\r\n</ul>
457	34	16	<ul>\r\n<li>Machine learning in vision</li>\r\n<li>Student project updates</li>\r\n<li>Class time: 1400-1700</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 7</li>\r\n<li><a href="/~mdailey/cvreadings/Rosenhahn-ShapeKnowledge.pdf">Three-dimensional shape knowledge for joint image segmentation and pose tracking</a>, presented by Nasif Karim</li>\r\n<li><a href="/~mdailey/cvreadings/Wang-Tracking.pdf">High resolution tracking of non-rigid motion of densely sampled 3D data using harmonic maps</a>, presented by Akhtar Hussain</li>\r\n</ul>
458	34	10	<ul>\r\n<li>N-view reconstruction</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1400-1600</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 6</li>\r\n<li><a href="/~mdailey/cvreadings/Lemaire-SLAM.pdf">Vision-based SLAM: Stereo and monocular approaches</a>, presented by Akhtar Hussain</li>\r\n</ul>
459	34	11	<ul>\r\n<li>Machine learning in vision</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1400-1600</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 7</li>\r\n<li><a href="/~mdailey/cvreadings/Amit-Parts.pdf">POP: Patchwork of parts models for object recognition</a>, presented by Thaweepol Nuangnong</li>\r\n<li><a href="/~mdailey/cvreadings/Saxena-Depth.pdf">3-D depth reconstruction from a single still image</a>, presented by Patcharanan Sritanauthaikorn</li>\r\n</ul>
460	34	12	<ul>\r\n<li>Student project updates</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1430-1630</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/cvreadings/Lookingbill-ReverseOptical.pdf">Reverse optical flow for self supervised adaptive autonomous robot navigation</a>, presented by Mirza Tahir Ahmed</li>\r\n<li><a href="/~mdailey/cvreadings/Levi-Learning.pdf">Learning from a small number of training examples by exploiting object categories</a>, presented by Naddao Thongsak</li>\r\n</ul>
461	34	13	<ul>\r\n<li>Machine learning in vision</li>\r\n<li>Class time: 14:00-18:00</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 7</li>\r\n<li><a href="/~mdailey/cvcode/opencv1/prog1.c">OpenCV tutorial code</a> (skin detection).</li>\r\n<li><a href="/~mdailey/cvcode/opencv1/neghist_hsv16bins.dat">Non-skin histogram data file</a> (thanks to Nyan Bo Bo)</li>\r\n<li><a href="/~mdailey/cvcode/opencv1/poshist_hsv16bins.dat">Skin  histogram data file</a> (thanks to Nyan Bo Bo).</li>\r\n<li><a href="/~mdailey/cvcode/opencv1/Makefile">Makefile</a> for OpenCV tutorial code.</li>\r\n<li><a href="/~mdailey/cvreadings/Royer-Monocular.pdf">Monocular vision for mobile robot localization and autonomous navigation</a>, presented by Pluert Lertsukittipongsa</li>\r\n<li><a href="/~mdailey/cvreadings/Goedeme-Omni.pdf">Omnidirectional vision based topological navigation</a>, presented by Wongsakorn Pornnutvuttikul</li>\r\n<li><a href="/~mdailey/cvreadings/Jackson-Shape.pdf">Dynamic shape and appearance modeling via moving and deforming layers</a>, presented by Suradech Doungpummet</li>\r\n</ul>
462	34	14	<ul>\r\n<li>Machine learning in vision</li>\r\n<li>Class time: 1400-1700</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 7</li>\r\n<li>Schlens, <a href="http://www.cs.ait.ac.th/~mdailey/cvreadings/Shlens-PCA.pdf">A tutorial on principal components analysis</a></li>\r\n<li><a href="/~mdailey/cvcode/PCA-Demo.zip">Octave code and face images</a> for the PCA demo.</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/matlab/">Matt's  Matlab Tutorial</a> on PCA.</li>\r\n<li><a href="/~mdailey/cvreadings/Pilet-Nonrigid.pdf">Fast \r\nnon-rigid surface detection, registration and realistic augmentation</a>, presented by Suwan Tongphu</li>\r\n<li><a href="/~mdailey/cvreadings/Panin-MutualInfo.pdf">Mutual information-based 3D object tracking</a>, presented by Thiparat Jirawattanakitja</li>\r\n<li><a href="/~mdailey/cvreadings/Bronstein-Nonrigid.pdf">Analysis of two-dimensional non-rigid shapes</a>, presented by Methee Srisupundit</li>\r\n</ul>
463	34	8	<ul>\r\n<li>Two-view geometry</li>\r\n<li>Student project updates</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1400-1630</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 4</li>\r\n<li><a href="https://webeng.cs.ait.ac.th/cvwiki/matlab:tutorial:rectification">Rectification tutorial</a>\r\n<li>Hartley and Zisserman, Chapters 15, 18, 19</li>\r\n<li><a href="/~mdailey/cvreadings/Greminger-ObjectTracking.pdf">A deformable object tracking algorithm based on the boundary element method that is robust to occlusions and spurious edges</a>, presented by Wongsakorn Pornnutvuttikul</li>\r\n</ul>
464	34	9	<ul>\r\n<li>Three-view geometry</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1430-1630</li></ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 5</li>\r\n<li><a href="/~mdailey/cvreadings/Moreels-Descriptors.pdf">Evaluation of features detectors and descriptors based on 3D objects</a>, presented by Irshad Ali</li>\r\n<li><a href="/~mdailey/cvreadings/Boiman-Irregularities.pdf">Detecting irregularities in images and video</a>, presented by Kan Ouivirach</li>\r\n<li><a href="/~mdailey/cvreadings/Lu-ShapeModels.pdf">Statistical multi-object shape models</a>, presented by Suchada Rienmora</li>\r\n<li><a href="/~mdailey/cvreadings/Jin-Reconstruction.pdf">3-D reconstruction of shaded objects from multiple images under unknown illumination</a>, presented by Nasif Karim</li>\r\n</ul>
465	34	5	<ul>\r\n<li>Cameras</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1400-1700</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 3</li>\r\n<li>Hartley and Zisserman, Chapters 6-7</li>\r\n<li><a href="/~mdailey/class/vision/p_demo.zip">Octave code</a> demonstrating estimation and decomposition of a camera matrix.</li>\r\n<li><a href="/~mdailey/cvreadings/Zhang-Texture.pdf">Local features and kernels for classification of texture and object categories: A comprehensive study</a>, presented by Methee Srisupundit</li>\r\n<li><a href="/~mdailey/cvreadings/Sim-SLAM.pdf">A study of the Rao-Blackwellised particle filter for efficient and accurate vision-based SLAM</a>, presented by Somphop Limsoontrakul</li>\r\n</ul>
466	34	6	<ul>\r\n<li>Two-view geometry</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1430-1700</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 4</li>\r\n<li>Hartley and Zisserman, Chapter 9</li>\r\n<li><a href="/~mdailey/cvreadings/Ross-Incremental.pdf">Incremental learning for robust visual tracking</a>, presented by Mirza Tahir Ahmed</li>\r\n<li><a href="/~mdailey/cvreadings/Gavrila-Pedestrians.pdf">Multi-cue pedestrian detection and tracking from a moving vehicle</a>, presented by Suradech Doungpummet</li>\r\n</ul>
467	34	7	<ul>\r\n<li>Two-view geometry</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1400-1630</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> sets 4</li>\r\n<li>Hartley and Zisserman, Chapters 9-12</li>\r\n<li><a href="/~mdailey/cvreadings/Orbanz-Segmentation.pdf">Nonparametric Bayesian image segmentation</a>, presented by Pongsak Srithongnopawong</li>\r\n<li><a href="/~mdailey/cvreadings/Kahl-Global.pdf">Globally optimal estimates for geometric reconstruction problems</a>, presented by Faisal Bukhari</li>\r\n<li><a href="/~mdailey/cvreadings/Pollefeys-Handheld.pdf">Visual modeling with a hand-held camera</a>, presented by Ran Zask</li>\r\n</ul>
468	34	2	<ul>\r\n<li>HW1 due</li>\r\n<li>3D projective geometry</li>\r\n<li>Estimation</li>\r\n<li>Class time: 1400-1700</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> sets 1-2</li>\r\n<li>Hartley and Zisserman, Chapters 3-4</li>\r\n<li>Tomasi readings on <em>Mathematical Modeling of Continuous Systems</em></li>\r\n</ul>
469	34	3	<ul>\r\n<li>Estimation</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1400-1700</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 2</li>\r\n<li>Hartley and Zisserman, Chapter 4</li>\r\n<li>Petersen's Matrix Cookbook for information on Taylor expansions (and many other useful matrix algebra facts)</li>\r\n<li>Octave code for a demo of the <a href="/~mdailey/class/vision/dlt_demo.m">DLT algorithm for homography estimation</a></li>\r\n<li>Octave code for a demo of the <a href="/~mdailey/class/vision/gs_demo.m">Gold standard algorithm for homography estimation</a> (and the <a href="/~mdailey/class/vision/gs_errfunc.m">error function used by the demo</a>.</li>\r\n<li><a href="/~mdailey/cvreadings/Ferencz-Features.pdf">Learning to locate informative features for visual identification</a>, presented by Naddao Thongsak</li>\r\n<li><a href="/~mdailey/cvreadings/Mian-Keypoints.pdf">Keypoint detection and local feature matching for textured 3D face recognition</a>, presented by Suwan Tongphu</li>\r\n</ul>
470	34	4	<ul>\r\n<li>HW2 due</li>\r\n<li>Estimation</li>\r\n<li>Cameras</li>\r\n<li>Student project updates</li>\r\n<li>Paper presentations</li>\r\n<li>Class time: 1400-1700</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> sets 2-3</li>\r\n<li>Hartley and Zisserman, Chapters 4, 6</li>\r\n<li><a href="/~mdailey/cvreadings/Fischler-RANSAC.pdf">Original RANSAC paper</a> by Fischler and Bolles</li>\r\n<li><a href="/~mdailey/cvreadings/Dornaika-Expressions.pdf">Simultaneous facial action tracking and expression recognition in the presence of head motion</a>, presented by Thiparat Jirawattanakitja</li>\r\n<li><a href="/~mdailey/cvreadings/Kumar-Layered.pdf">Learning layered motion segmentations of video</a>, presented by Pluert Lertsukittipongsa</li>\r\n</ul>
471	34	1	<ul>\r\n<li>Introduction</li>\r\n<li>Project group assignments</li>\r\n<li>Paper presentation signup</li>\r\n<li>2D projective geometry</li>\r\n<li>Class time: 1400-1630</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=34&course_page=lecture_notes">Lecture notes</a> set 1</li>\r\n<li>Hartley and Zisserman, Chapters 1-2</li>\r\n</ul>
472	34	18	<ul>\r\n<li>Video, tracking, and sequential state estimation</li>\r\n<li>Class time: 1400-1700</li>\r\n</ul>	
473	34	19	<ul><li>Student project presentations</li></ul>	
474	35	26	Lecture 13\r\n<ul>\r\n<li>Scaling Web applications</li>\r\n<li>RPC Web services</li>\r\n</ul>	<ul>\r\n<li>Henderson</li>\r\n<li>SEIA</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, sets 9,10</li>\r\n</ul>
475	35	25	Lab 12\r\n<ul>\r\n<li>Load balancing</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 12 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 14)</li>\r\n</ul>
476	35	23	Lab 11\r\n<ul>\r\n<li>Ajax + REST</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 11 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 13)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/ajaxlab">Files for Ajax + REST lab</a></li>\r\n</ul>
477	35	24	Lecture 12\r\n<ul>\r\n<li>REST</li>\r\n<li>Scaling Web applications</li>\r\n</ul>	<ul>\r\n<li>Richardson and Ruby</li>\r\n<li>Henderson</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, sets 8,9</li>\r\n</ul>
478	35	21	Lab 10<ul><li>Building RESTful interfaces</li></ul>	<ul>\r\n<li>Manual for lab 10 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 12)</li>\r\n</ul>
479	35	22	Lecture 11\r\n<ul>\r\n<li>REST</li>\r\n</ul>	<ul>\r\n<li>Richardson and Ruby</li>\r\n<li>Henderson</li>\r\n<li>For discussion: handout article from MIT Technology Review on Barack Obama's Web strategy</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, sets 8,9</li>\r\n</ul>
480	35	20	Lecture 10\r\n<ul>\r\n<li>Ajax for the UI</li>\r\n<li>REST</li>\r\n</ul>	<ul>\r\n<li>Thomas et al.</li>\r\n<li>Gentland et al.</li>\r\n<li>Raymond</li>\r\n<li>Johnson, White, and Charland</li>\r\n<li>Crane and McCarthy</li>\r\n<li>Richardson and Ruby</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, sets 6,8</li>\r\n</ul>
481	35	19	Lab 9\r\n<ul>\r\n<li>Ajax, Part III</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 9 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 11)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/ajaxlab">Files for Ajax lab</a></li>\r\n</ul>
482	35	10	Lab 5\r\n<ul>\r\n<li>Junaid on relational views as Rails models (5 minutes)</li>\r\n<li>Eaum Chantarasombat on Flex</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 05 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 7)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/flex">Flex SDK</a> bundle.</li>\r\n</ul>
483	35	11	Lecture 6\r\n<ul>\r\n<li>MVC in JSP</li>\r\n<li>ORM for Web applications</li>\r\n<li>Web application security</li>\r\n<li>PS3 due</li>\r\n</ul>	<ul>\r\n<li>Andrews and Whitaker</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, sets 2,3,5</li>\r\n<li><a href="/~mdailey/class/web/studentdb-dao-jsp.zip">Sample MVC code using DAO and JSP controllers</a></li>\r\n<li><a href="/~mdailey/class/web/studentdb-dao-servlet.zip">Sample MVC code using DAO and Servlet Front Controller</a></li>\r\n<li><a href="/~mdailey/class/web/studentdb-jpa-servlet.zip">Sample MVC code using JPA ORM and Servlet Front Controller</a></li>\r\n</ul>
484	35	12	Lab 6\r\n<ul>\r\n<li>Eclipse IDE for Java Web application development</li>\r\n<li>User authentication on the Java EE platform</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 06 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 8)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/eclipse">Files for Eclipse/user authentication labs</a></li>\r\n</ul>
485	35	13	Lab 7\r\n<ul>\r\n<li>Ajax, Part I</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 07 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 9)</li>\r\n</ul>
486	35	14	Lecture 7\r\n<ul>\r\n<li>Web application security</li>\r\n<li>Note MAKE UP TIME: 0900-1100 Sat Oct 4</li>\r\n</li>\r\n</ul>	<ul>\r\n<li>Andrews and Whitaker</li>\r\n<li>Jendrock et al.</li>\r\n<li>Thomas et al.</li>\r\n<li><a href="/~mdailey/readings/Fu-DosDonts.pdf">Dos and Don'ts of Client Authentication on the Web</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, set 5</li>\r\n</ul>
487	35	15	Midterm exam\r\n<ul>\r\n<li>Time: 1400-1700</li>\r\n</ul>	<ul>\r\n<li>Electronic exam, in the lab</li>\r\n<li>Open book, open notes, open computer, open Internet (but no consulting with human beings!)</li>\r\n<li>Make sure your Web development environment is set up efficiently</li>\r\n<li>Reserve a PC and make sure the software you need is installed if you want to use a lab PC</li>\r\n</ul>
488	35	16	Lecture 8\r\n<ul>\r\n<li>Ajax for the UI</li>\r\n</ul>	<ul>\r\n<li>Thomas et al.</li>\r\n<li>Gentland et al.</li>\r\n<li>Raymond</li>\r\n<li>There is a nice 10-minute screencast, <a href="http://railscasts.com/episodes/43">AJAX with RJS</a>, by Ryan Bates at Railscasts.  Check it out!</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, set 6</li>\r\n</ul>
489	35	17	Lab 8\r\n<ul>\r\n<li>Ajax, Part II</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 08 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 10)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/ajaxlab">Files for Ajax lab</a></li>\r\n</ul>
490	35	18	Lecture 9\r\n<ul>\r\n<li>Ajax for the UI</li>\r\n</ul>	<ul>\r\n<li>Thomas et al.</li>\r\n<li>Gentland et al.</li>\r\n<li>Raymond</li>\r\n<li>There is a nice 10-minute screencast, <a href="http://railscasts.com/episodes/43">AJAX with RJS</a>, by Ryan Bates at Railscasts.  Check it out!</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, set 6</li>\r\n</ul>
491	35	2	Lab 1\r\n<ul>\r\n<li>Linux, Apache, PostgreSQL installation and configuration</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 01 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 2)</li>\r\n</ul>
492	35	3	Lecture 2\r\n<ul>\r\n<li>Web application architecture</li>\r\n<li>Relational data modeling</li>\r\n</ul>	<ul>\r\n<li>Thomas et al. Chapter 1</li>\r\n<li>Weiss</li>\r\n<li>Fowler Chapters 1, 4, 14</li>\r\n<li>SQL for Web Nerds</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, sets 2,3</li>\r\n</ul>
493	35	4	Lab 2\r\n<ul>\r\n<li>Getting started with Ruby on Rails</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 02  (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 4)</li>\r\n<li><a href="/~mdailey/class/web/active_scaffold.tgz">Active Scaffold</a> plugin for Ruby on Rails (this version is compatible with Rails 1.2).</li>\r\n</ul>
494	35	5	Lecture 3\r\n<ul>\r\n<li>Relational data modeling</li>\r\n<li>ORM for Web applications</li>\r\n<li>PS1 Due</li>\r\n</ul>	<ul>\r\n<li>SQL for Web Nerds</li>\r\n<li>Thomas et al.</li>\r\n<li>Fowler Chapter 10</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, set 2</li>\r\n</ul>
495	35	6	Lab 3\r\n<ul>\r\n<li>Getting started with JSP</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 03  (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 5)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/java">Files for JSP Lab</a>\r\n</ul>
496	35	7	Lecture 4\r\n<ul>\r\n<li>ORM for Web applications</li>\r\n<li>Version control</li>\r\n<li>Student project idea presentations (read SEIA chapters 1 and 3 before preparing your presentation!)</li>\r\n</ul>	<ul>\r\n<li>Thomas et al.</li>\r\n<li>Fowler Chapter 10</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, sets 3,4</li>\r\n</ul>
497	35	8	Lab 4\r\n<ul>\r\n<li>Eclipse IDE for Web application development</li>\r\n<li>User authentication</li>\r\n<li>PS2 Due</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 04 (<a href="/~mdailey/courseware/index.php?action=course&course_id=35&course_page=handouts">Handout</a> 6)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/eclipse">Files for Eclipse/User authentication Lab</a>\r\n</ul>
498	35	9	Lecture 5\r\n<ul>\r\n<li>ORM for Web applications</li>\r\n</ul>	<ul>\r\n<li>Thomas et al.</li>\r\n<li>Fowler Chapter 10</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, set 3</li>\r\n</ul>
499	35	1	Lecture 1\r\n<ul>\r\n<li>Introduction</li>\r\n<li>Web application architecture</li>\r\n</ul>	<ul>\r\n<li>SEIA Chapters 1-2</li>\r\n<li>Murugesan and Ginigie</li>\r\n<li>Henderson Chapter 1</li>\r\n<li>Thomas et al. Chapter 1</li>\r\n<li>Weiss</li>\r\n<li>Fowler Chapters 1, 4, 14</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=35&course_page=lecture_notes">Lecture notes</a>, sets 1-2</li>\r\n</ul>
500	35	27	Project presentations	
501	35	28	Final examination	
502	36	5	<ul>\r\n<li>Implementation</li>\r\n  <ul>\r\n  <li>Implementation lab session</li>\r\n  </ul>\r\n</ul>	<ul>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/ooad/">Lab materials</a></li>\r\n<li>During the lab we will build a <a href="https://se.cs.ait.ac.th/projects/pineapple/wiki/Implementation">implementation tutorial</a> page on the case study <a href="https://se.cs.ait.ac.th/projects/pineapple/wiki">project wiki</a>.</li>\r\n</ul>
503	36	1	<ul>\r\n<li>Introduction</li>\r\n<li>Use case-driven requirements analysis</li>\r\n</ul>	<ul>\r\n<li>Larman Chapters 1-7</li>\r\n<li>Lecture notes sets 1, 2</li>\r\n</ul>
504	36	4	<ul>\r\n<li>Design</li>\r\n  <ul>\r\n  <li>Basic design patterns</li>\r\n  <li>Use case realization</li>\r\n  </ul>\r\n</ul>	<ul>\r\n<li>Larman Chapters 17-21</li>\r\n<li>Lecture notes sets 6, 7</li>\r\n</ul>
505	36	3	<ul>\r\n<li>Design</li>\r\n  <ul>\r\n  <li>Logical architecture</li>\r\n  <li>Object design</li>\r\n</ul>	<ul>\r\n<li>Larman Chapters 14-16</li>\r\n<li>Lecture notes sets 4, 5</li>\r\n</ul>
506	36	2	<ul>\r\n<li>Analyis</li>\r\n  <ul>\r\n  <li>Elaboration in the UP</li>\r\n  <li>Domain models</li>\r\n  <li>Domain classes, relationships, and attributes</li>\r\n  </ul>\r\n</ul>	<ul>\r\n<li>Larman Chapters 8-13</li>\r\n<li>Lecture notes set 3</li>\r\n</ul>
507	37	4	<ul>\r\n<li>Patterns for enterprise software architecture</li>\r\n  <ul>\r\n  <li>Data source</li>\r\n  </ul>\r\n</ul>	<ul>\r\n<li>Fowler (2003) Chapters 3,10</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> sets 02, 03</li>\r\n<li>Tip: <a href="http://www.alagad.com/go/blog-entry/changing-the-font-size-in-eclipse">how to change the font size in Eclipse</a></li>\r\n</ul>
508	37	5	<ul>\r\n<li>Java EE middleware</li>\r\n<ul><li>Overview</li></ul>\r\n<li>Patterns for enterprise software architecture</li>\r\n  <ul>\r\n  <li>Data source</li>\r\n  </ul>\r\n</ul>	<ul>\r\n<li>Burke and Monson-Haefel, Chapters 1-5</li>\r\n<li>Fowler (2003) Chapters 3,10</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> sets 02, 03</li>\r\n</ul>
509	37	6	<ul>\r\n<li>Patterns for enterprise software architecture</li>\r\n  <ul>\r\n  <li>Data source</li>\r\n  </ul>\r\n</ul>	<ul>\r\n<li>Fowler (2003) Chapters 3,10</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 02</li>\r\n</ul>
510	37	28	<ul>\r\n<li>Make up for Apr 17</li>\r\n<li>Service-oriented architectures</li>\r\n<ul>\r\n<li>Enterprise service bus</li>\r\n<li>Integrating a process management engine with the ESB</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Rademakers and Dirksen (2009) Chapters 8-11</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 05</li>\r\n<li>Tutorial 3 materials from <a href="http://se.cs.ait.ac.th/~mdailey/sad/">class tutorial page</a></li>\r\n</ul>
511	37	29	<ul>\r\n<li>Service-oriented architectures</li>\r\n<ul>\r\n<li>Service design</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Erl (2009) Chapters 1-6</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 05</li>\r\n</ul>
512	37	24	<ul>\r\n<li>Service-oriented architectures</li>\r\n<ul>\r\n<li>Enterprise service bus</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Rademakers and Dirksen (2009) Chapters 3-5</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 05</li>\r\n</ul>
513	37	25	NO CLASS (Songkran holiday)	
514	37	26	NO CLASS (Matt in Nepal; need makeup)	
515	37	30	<ul>\r\n<li>Service-oriented architectures</li>\r\n<ul>\r\n<li>Service design</li>\r\n</ul>\r\n<li>Project progress presentations</li>\r\n</ul>	<ul>\r\n<li>Erl (2009) Chapters 7-11, 17</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 06</li>\r\n</ul>
516	37	27	<ul>\r\n<li>Service-oriented architectures</li>\r\n<ul>\r\n<li>Enterprise service bus</li>\r\n<li>SOAP access to services</li>\r\n</ul>\r\n<li>Project progress presentations</li>\r\n</ul>	<ul>\r\n<li>Rademakers and Dirksen (2009) Chapters 6-7</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 05</li>\r\n<li>Tutorial 4 materials from <a href="http://se.cs.ait.ac.th/~mdailey/sad/">class tutorial page</a></li>\r\n</ul>
517	37	19	NO CLASS (Matt in Vietnam)	
518	37	20	<ul>\r\n<li>Enterprise application integration</li>\r\n<ul>\r\n<li>Message transformation</li>\r\n<li>Implementation case study</li>\r\n<li>Messaging endpoints</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Hohpe and Wolfe (2004) Chapters 8-10</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 04</li>\r\n</ul>
519	37	21	<ul>\r\n<li>Student homework presentations</li>\r\n<li>Project discussion</li>\r\n<li>Enterprise application integration</li>\r\n<ul>\r\n<li>Messaging endpoints</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Hohpe and Wolfe (2004) Chapters 10-11</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 04</li>\r\n</ul>
520	37	22	<ul>\r\n<li>Enterprise application integration</li>\r\n<ul>\r\n<li>Messaging endpoints</li>\r\n<li>System management</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Hohpe and Wolfe (2004) Chapters 10-11</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 04</li>\r\n</ul>
521	37	23	<ul>\r\n<li>Service-oriented architectures</li>\r\n<ul>\r\n<li>Enterprise service bus</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Rademakers and Dirksen (2009) Chapters 1-3</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 05</li>\r\n</ul>
522	37	24	<ul>\r\n<li>Service-oriented architectures</li>\r\n<ul>\r\n<li>Enterprise service bus</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Rademakers and Dirksen (2009) Chapters 3-5</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 05</li>\r\n</ul>
523	37	25	NO CLASS (Songkran holiday)	
524	37	26	NO CLASS (Matt in Nepal; need makeup)	
525	37	17	MIDTERM EXAM	
526	37	18	<ul>\r\n<li>Enterprise application integration</li>\r\n<ul>\r\n<li>Message routing</li>\r\n</ul>	<ul>\r\n<li>Hohpe and Wolfe (2004) Chapters 7-9</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 04</li>\r\n</ul>
527	37	16	<ul>\r\n<li>Enterprise application integration</li>\r\n<ul>\r\n<li>Messages</li>\r\n</ul>\r\n<li>Java EE middleware</li>\r\n<ul><li>JMS introduction</li></ul>\r\n</ul>	<ul>\r\n<li>Hohpe and Wolfe (2004) Chapters 5-6</li>\r\n<li>Jendrock et al. (2006) Chapters 31, 32, 23</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> sets 04, 03</li>\r\n</ul>
528	37	12	<ul>\r\n<li>Java EE middleware</li>\r\n<ul>\r\n<li>Session beans</li>\r\n</ul>\r\n<li>Distributed systems architecture</li>\r\n</ul>	<ul>\r\n<li>Burke and Monson-Haefel, Chapter 11</li>\r\n<li>Fowler (2003) Chapters 7, 15</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> sets 03, 04</li>\r\n</ul>
529	37	13	<ul>\r\n<li>Distributed systems architecture</li>\r\n<li>Enterprise application integration</li>\r\n<ul>\r\n<li>Introduction to messaging and integration</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Fowler (2003) Chapters 7, 15</li>\r\n<li>Hohpe and Wolfe (2004) Introduction</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 04</li>\r\n</ul>
530	37	14	<ul>\r\n<li>Enterprise application integration</li>\r\n<ul>\r\n<li>Integration example</li>\r\n<li>Integration styles</li>\r\n<li>Fundamental messaging system patterns</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Hohpe and Wolfe (2004) Chapter 1</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 04</li>\r\n</ul>
531	37	15	<ul>\r\n<li>Enterprise application integration</li>\r\n<ul>\r\n<li>Integration styles</li>\r\n<li>Fundamental messaging system patterns</li>\r\n<li>Message channels</li>\r\n</ul>\r\n</ul>	<ul>\r\n<li>Hohpe and Wolfe (2004) Chapters 2-4</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> set 04</li>\r\n</ul>
532	37	2	NO CLASS (Matt in France)	
533	37	11	NO CLASS (Matt at <a href="http://www.robio.org">ROBIO</a>)	
534	37	1	<ul>\r\n<li>Introduction</li>\r\n<li>Patterns for enterprise software architecture</li>\r\n  <ul>\r\n  <li>Domain logic</li>\r\n  </ul>\r\n</ul>	<ul>\r\n<li>Bass, Clements, and Kazman (2003), Chapters 1-2</li>\r\n<li>Fowler (2003) Chapters 1,2,9</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=37&course_page=lecture_notes">Lecture notes</a> sets 01, 02</li>\r\n</ul>
535	38	2	<ul>\r\n<li>Projective geometry</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapters 2-3</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 01</li>\r\n<li>Octave demo code to <a href="/~mdailey/class/vision/compute_homography.m">compute an exact homography mapping 4 points between two planes</a></li>\r\n</ul>
536	38	3	<ul>\r\n<li>Statistical estimation</li>\r\n<li>Homework 1 due</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapter 4</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 02</li>\r\n<li>Opelt, Pinz, and Zisserman, <a href="/~mdailey/cvreadings/Opelt-DetectionAlphabet.pdf">Learning an alphabet of shape and appearance for multi-class object detection</a>, presented by Irshad Ali [<a href="/~mdailey/cvreadings/Irshad-Detection.pdf">presentation</a>]</li>\r\n<li>Ikizler and Forsyth, <a href="/~mdailey/cvreadings/Ikizler-ComplexActivities.pdf">Searching for complex human activities with no visual examples</a>, presented by Kan Ouivirach [<a href="/~mdailey/cvreadings/Kan-Searching.pdf">presentation</a>]</li>\r\n</ul>
537	38	4	<ul>\r\n<li>MAKE UP CLASS</li>\r\n<li>Statistical estimation</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapter 4</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 02</li>\r\n<li>Octave demo code to <a href="/~mdailey/class/vision/dlt_demo.m">compute an overconstrained homography using the DLT estimation algorithm</a></li>\r\n<li>Octave demo code to <a href="/~mdailey/class/vision/gs_demo.m">compute an overconstrained homography using the Gold Standard estimation algorithm</a>.  Note: for Ubuntu 9.04, you need the <tt>octave3.0</tt> and <tt>octave-optim</tt> and <tt>gnuplot</tt> packages to run this code.</li>\r\n<li><a href="/~mdailey/class/vision/gs_errfunc.m">Error function</a> for the Gold Standard algorithm.</li>\r\n<li>Dror and Simshoni, <a href="/~mdailey/cvreadings/Dror-Phyllotaxis.pdf">Using phyllotaxis for date palm tree 3D reconstruction from a single image</a>, presented by Supawadee Chaivivatrakul [<a href="/~mdailey/cvreadings/3D_Palm_Tree.pdf">presentation</a>]</li>\r\n</ul>
538	38	24	<ul>\r\n<li>NO CLASS</li>\r\n<li>Project reports due</li>\r\n</ul>	
539	38	25	<ul>\r\n<li>Final student project presentations</li>\r\n</ul>	
540	38	22	<ul>\r\n<li>NO CLASS (Go to see the Thailand Intelligent Vehicle Competition in Bangkok!)</li>\r\n</ul>	
541	38	23	<ul>\r\n<li>Machine learning</li>\r\n<li>Sequential state estimation (tracking)</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, sets 07,08</li>\r\n<li>TextonBoost for Image Understanding: Multi-Class Object Recognition and Segmentation by Jointly Modeling Texture,Layout, and Context, presented by Pravee</li>\r\n<li>Drift-free real-time sequential mosaicing, presented by Apichon</li>\r\n</ul>
542	38	20	<ul>\r\n<li>Machine learning</li>\r\n<li>MAKE UP CLASS</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 07</li>\r\n<li><a href="/~mdailey/class/vision/runsvm.m">LIBSVM demo</a> (Octave program; depends on command line LIBSVM tools being installed and in the path)</li>\r\n</ul>
543	38	21	<ul>\r\n<li>Machine learning</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 07</li>\r\n<li>Kohli, Rihan, Bray and Torr, <a href="/~mdailey/cvreadings/Kohli-Segmentation.pdf">Simultaneous segmentation and pose estimation of humans using dynamic graph cuts</a>, presented by Somchok</li>\r\n<li>Furukawa and Ponce, <a href="/~mdailey/cvreadings/Furukawa-VisualHulls.pdf">Carved visual hulls for image-based modeling</a>, presented by Phongsathorn</li>\r\n<li>Fazekas, Amiaz, Chetverikov1, and Kiryati, <a href="/~mdailey/cvreadings/Fazekas-Texture.pdf">Dynamic texture detection based on motion analysis</a>, presented by Jednipat</li>\r\n</ul>
544	38	19	<ul>\r\n<li>Homework 4 due</li>\r\n<li>Machine learning</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 07</li>\r\n<li>Ryoo and Aggarwal, <a href="/~mdailey/cvreadings/Ryoo-Activities.pdf">Semantic representation and recognition of continued and recursive human activities</a>, presented by Shashi Gahrti</li>\r\n<li>Pose robust face tracking by combining active appearance models and cylinder head models, presented by Parkpoom</li>\r\n</ul>
545	38	18	<ul>\r\n<li>MAKE UP CLASS</li>\r\n<li>Machine learning</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 07</li>\r\n<li>OpenCV <a href="/~mdailey/class/vision/skin-detection.zip">skin detection demo</a></li>\r\n<li>Octave <a href="/~mdailey/class/vision/PCA-Demo.zip">PCA demo</a></li>\r\n<li>Kawasaki and Furukawa, <a href="/~mdailey/cvreadings/Kawasaki-ShapeRecon.pdf">Shape reconstruction and camera self calibration using cast shadows and scene geometries</a>, presented by Apisit</li>\r\n<li>Ommer, Madder, and Buhmann, <a href="/~mdailey/cvreadings/Ommer-Dots.pdf">Seeing the objects behind the dots: Recognition in videos from a moving camera</a>, presented by Alisa [<a href="/~mdailey/cvreadings/Alisa-Dots.pdf">presentation</a>]</li>\r\n</ul>
546	38	17	<ul>\r\n<li>Machine learning</li>\r\n</ul>	<ul>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 07</li>\r\n<li>Niebles, Wang, and Fei-Fei, <a href="/~mdailey/cvreadings/Niebles-Actions.pdf">Unsupervised Learning of Human Action Categories Using Spatial-Temporal Words</a>, presented by Shashi</li>\r\n<li>Van den Bergh, Koller-Meier, and Van Gool, <a href="/~mdailey/cvreadings/VandenBerg-BodyPose.pdf">Real-time body pose recognition using 2D or 3D Haarlets</a>, presented by Abdul Basit</li>\r\n</ul>
547	38	16	<ul>\r\n<li>N-view reconstruction</li>\r\n<li>Student project progress presentations</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapter 19</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 06</li>\r\n<li>Wu and Nevatia, <a href="/~mdailey/cvreadings/Wu-Detection.pdf">Detection and segmentation of multiple partially occluded objects by grouping, merging, assigning part detection responses</a>, presented by Somchok [<a href="/~mdailey/cvreadings/Somchok-Detection.pdf">presentation</a>]</li>\r\n</ul>
548	38	12	<ul><li>NO CLASS (Asarnha Bucha holiday)</li></ul>	
549	38	13	<ul>\r\n<li>Two-view stereo</li>\r\n<li>Homework 3 due</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapters 9,10</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 04</li>\r\n<li>Hoiem, Efros, and Hebert, <a href="/~mdailey/cvreadings/Hoiem-Objects.pdf">Putting Objects in Perspective</a>, presented by Phongsathorn Eakamongkul [<a href="/~mdailey/cvreadings/Phong-Perspective.pdf">presentation</a>]</li>\r\n<li>Heitz, Elidan, Packer, and Koller, <a href="/~mdailey/cvreadings/Heitz-ObjectLocalization.pdf">Shape-based object localization for descriptive classification</a>, presented by Apisit [<a href="/~mdailey/cvreadings/Apisit-Shape.pdf">presentation</a>]</li>\r\n<li>Foulonneau, Charbonnier, and Heitz, <a href="/~mdailey/cvreadings/Foulonneau-ShapePriors.pdf">Multi-reference shape priors for active contours</a>, presented by Parkpoom [<a href="/~mdailey/cvreadings/Parkpoom-ShapePriors.pdf">presentation</a>]</li>\r\n</ul>
550	38	14	<ul>\r\n<li>Two-view stereo</li>\r\n</li>	<ul>\r\n<li>Hartley and Zisserman, Chapter 11</li>\r\n<li>Lowe, <a href="/~mdailey/cvreadings/Lowe-SIFT.pdf">Distinctive image features from scale-invariant keypoints</a></li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 04</li>\r\n<li>Sand and Teller, <a href="/~mdailey/cvreadings/Sand-ParticleVideo.pdf\r\n">Particle video: Long-range motion estimation using point trajectories</a>, presented by Jednipat [<a href="/~mdailey/cvreadings/Jednipat-ParticleVideo.pdf">presentation</a>]</li>\r\n<li><a href="/~mdailey/cvreadings/Knossow-HumanMotion.pdf">Human motion tracking with a kinematic parameterization of extremal contours</a>, presented by Abdul Basit</li>\r\n</ul>
551	38	15	<ul>\r\n<li>MAKE UP CLASS</li>\r\n<li>Three-view stereo</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapter 11,15,18</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, sets 04,05</li>\r\n<li>Ottlik and Nagel <a href="/~mdailey/cvreadings/Ottlik-VehicleTracking.pdf">Initialization of model-based vehicle tracking in video sequences of inner-city intersections</a>, presented by Alisa [<a href="/~mdailey/cvreadings/Alisa-VehicleTracking.pdf">presentation</a>]</li>\r\n<li>Destrero, De Mol, Odone, and Verri, <a href="/~mdailey/cvreadings/Destrero-FaceDetection.pdf">A regularized framework for feature selection in face detection and authentication</a>, presented by Apichon [<a href="/~mdailey/cvreadings/Apichon-FeatureSelection.pdf">presentation</a>]</li>\r\n</ul>
552	38	11	<ul>\r\n<li>Two-view stereo</li>\r\n<li>Student project progress presentations</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapter 9</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 04</li>\r\n<li>Kim, Park, and Lee, <a href="/~mdailey/cvreadings/Kim-Stereo.pdf">Stereo matching using population-based MCMC</a>, presented by Pravee [<a href="/~mdailey/cvreadings/Pravee-StereoMCMC.pdf">presentation</a>]</li>\r\n</ul>
553	38	5	<ul>\r\n<li>Statistical estimation</li>\r\n<li>Cameras</li>\r\n<li>Student project plan presentations</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapters 4,6</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, sets 02,03</li>\r\n<li>OpenCV demo code to <a href="/~mdailey/class/vision/homography-test.zip">compute a homography between two images automatically using RANSAC</a></li>\r\n</ul>
554	38	6	<ul>\r\n<li>NO CLASS (Matt on paternity leave)</li>\r\n<li>Homework 2 due by email</li>\r\n</ul>	
555	38	7	<ul><li>NO CLASS (Matt on paternity leave)</li></ul>	
556	38	8	<ul><li>NO CLASS (Matt on paternity leave)</li></ul>	
557	38	9	<ul><li>NO CLASS (Matt on paternity leave)</li></ul>	
558	38	10	<ul>\r\n<li>Review</li>\r\n<li>Cameras</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapters 6,7</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n<li>Demo code for <a href="/~mdailey/class/vision/p_demo.zip">computation of P</a></li>\r\n<li>Gould, Rodgers, Cohen, Elidan, and Koller, <a href="/~mdailey/cvreadings/Gould-Multi-class.pdf">Multi-class segmentation with relative location prior</a>, presented by Naddao Thongsak [<a href="/~mdailey/cvreadings/Naddao-Segmentation.pdf">presentation</a>]</li>\r\n<li>Mutch and Lowe, <a href="/~mdailey/cvreadings/Mutch-ObjectClass.pdf">Object class recognition and localization using sparse features with limited receptive fields</a>﻿, presented by Suwan Thongphu</li>\r\n<li>Snavely, Seitz, and Szeliski, <a href="/~mdailey/cvreadings/Snavely-Modeling.pdf">Modeling the world from Internet photo collections</a>, presented by Syed Faisal Bukhari</li>\r\n</ul>
559	38	1	<ul>\r\n<li>Introduction</li>\r\n<li>Projective geometry</li>\r\n</ul>	<ul>\r\n<li>Hartley and Zisserman, Chapter 2</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=38&course_page=lecture_notes">Lecture notes</a>, set 01</li>\r\n</ul>
560	38	26	<ul><li>NO CLASS</li><li>Wiki tutorial due</li></ul>	
561	40	5	<ul>\r\n<li>Introduction to programming</li>\r\n<li>Using objects</li>\r\n</ul>	<ul>\r\n<li>Horstmann, Chapters 1,2</li><li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=lecture_notes">Lecture notes</a> sets 01,02</li>\r\n</ul>
562	40	9	<ul><li>Implementing classes</li></ul>	<ul>\r\n<li>Horstmann, Chapter 3</li><li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=lecture_notes">Lecture notes</a> set 03</li>\r\n</ul>
563	39	42	<ul>\r\n<li>Lecture 19</li>\r\n<li>Scaling</li>\r\n</ul>	
564	39	41	<ul><li>Lab 9</li></ul>	
565	39	3	<ul><li>Lecture 2</li>\r\n<li>Introduction</li>\r\n<li>Web application architecture</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, sets 01,02</li>\r\n</ul>
566	39	5	<ul>\r\n<li>Lab 2: Ruby on Rails</li>\r\n<li>Note day and time change to Saturday at 9am</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 2 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 03)</li>\r\n</ul>
567	39	6	<ul>\r\n<li>Lecture 3</li>\r\n<li>Web application architecture</li>\r\n<li>Data modeling</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, sets 02-03</li>\r\n</ul>
568	39	40	<ul>\r\n<li>Lecture 18</li>\r\n<li>REST</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 08</li>\r\n</ul>
569	39	39	<ul>\r\n<li>Lecture 17</li>\r\n<li>REST</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 08</li>\r\n</ul>
570	39	38	<ul>\r\n<li>Lab 8</li>\r\n<li>Ajax</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 8 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 9)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/ajaxlab09">Files for Ajax lab</a></li>\r\n</ul>
571	39	36	<ul>\r\n<li>Lecture 15</li>\r\n<li>Ajax</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 07</li>\r\n</ul>
572	39	37	<ul>\r\n<li>Lecture 16</li>\r\n<li>Ajax</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 07</li>\r\n</ul>
573	39	17	<ul>\r\n<li>Lab 4</li>\r\n<li>User modeling and authentication</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 4 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 05)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/rails09">Rails lab materials</a></li>\r\n</ul>
574	39	34	<ul>\r\n<li>Lecture 14</li>\r\n<li>Guest lecture by Glenn West on ActiveJquery</li>\r\n</ul>	
575	39	35	<ul>\r\n<li>Lab 7</li>\r\n<li>Guest lab on virtual models by Glenn West</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 7 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 08)</li>\r\n</ul>
576	39	33	<ul>\r\n<li>Lecture 13</li>\r\n<li>Ajax</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 07</li>\r\n</ul>
577	39	32	<ul>\r\n<li>Lab 6</li>\r\n<li>Ajax</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 6 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 07)</li>\r\n</ul>
578	39	20	<ul>\r\n<li>Lab 5</li>\r\n<li>Rich Internet Applications Using Flex</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 5 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 06)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/flex/flex_sdk_3.4.zip">Flex SDK 3.4</a></li>\r\n</ul>
579	39	22	<ul><li>Midterm examination, 13:00-16:00.  AT70.05 and AT70.03 will have exams on different days this week.</li></ul>	
580	39	28	<ul>\r\n<li>Lecture 12</li>\r\n<li>Web application security</li>\r\n<li>Ajax</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, sets 06, 07</li>\r\n</ul>
581	39	19	<ul>\r\n<li>Lecture 11</li>\r\n<li>Security for Web applications</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 06</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/java09/studentdb-jpa-auth.zip">Java EE authentication tutorial code</a></li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/java09/spring-security-tutorial.zip">Spring security tutorial</a></li></ul>
582	39	18	<ul>\r\n<li>Lecture 10</li>\r\n<li>Web application testing</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, sets 05, 06</li>\r\n</ul>
583	39	16	<ul>\r\n<li>Lecture 9</li>\r\n<li>Security for Web applications</li>\r\n<li>Web application testing</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 06</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/rails09/talk_comments.zip">Talk Comments</a> tutorial user model</li>\r\n</ul>
584	39	11	<ul>\r\n<li>More Lab 3: Tomcat, JSP, Spring</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 3 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 04)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/java09">Lab materials</a></li>\r\n</ul>
585	39	12	<ul>\r\n<li>Lecture 6</li>\r\n<li>Version control</li>\r\n<li>Web application architecture, revisited</li>\r\n<li>Lecture 13:00-15:00</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, sets 02,04</li>\r\n</ul>
586	39	13	<ul>\r\n<li>Lecture 7</li>\r\n<li>Security for Web applications</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 06</li>\r\n</ul>
587	39	14	<ul>\r\n<li>Finish Lab 3: Tomcat, JSP, Spring</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 3 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 04)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/java09">Java lab materials</a></li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/rails09">Rails lab materials</a></li>\r\n</ul>
588	39	15	<ul>\r\n<li>Lecture 8</li>\r\n<li>Lab wrapup (Spring+JPA+Tomcat tutorial example)</li>\r\n<li>Security for Web applications</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 06</li>\r\n<li><a href="http://www.cs.ait.ac.th/~mdailey/readings/Fu-DosDonts.pdf">Dos and Don'ts of Client Authentication on the Web</a></li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/java09/studentdb-spring-jpa.zip">Tutorial example</a></li>\r\n</ul>
589	39	1	<ul>\r\n<li>Lecture 1</li>\r\n<li>Introduction</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 01</li>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 1 (course syllabus)</li>\r\n</ul>
590	39	10	<ul>\r\n<li>Lecture 5</li>\r\n<li>Data modeling</li>\r\n<li>Web application architecture, revisited</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, sets 03,02</li>\r\n</ul>
591	39	8	<ul>\r\n<li>Finish Lab 2</li>\r\n<li>Start Lab 3: Tomcat, JSP, Spring</li>\r\n</ul>	<ul>\r\n<li>Manual for lab 2 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 03)</li>\r\n<li>Manual for lab 3 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 04)</li>\r\n<li><a href="http://se.cs.ait.ac.th/~mdailey/java09">Lab materials</a></li>\r\n</ul>
592	40	12	<ul><li>Implementing classes</li></ul>	<ul>\r\n<li>Horstmann, Chapter 3</li><li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=lecture_notes">Lecture notes</a> set 03</li>\r\n</ul>
593	40	11	<ul>\r\n<li>Lab 3: Graphical Applications, Class Implementation</li>\r\n</ul>	<ul>\r\n<li>Horstmann, Chapters 2,3</li><li>Lab manual for lab 3 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=handouts">Handout</a> 5)</li>\r\n</ul>
594	40	10	<ul><li>Implementing classes</li></ul>	<ul>\r\n<li>Horstmann, Chapter 3</li><li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=lecture_notes">Lecture notes</a> set 03</li>\r\n</ul>
595	40	8	<ul>\r\n<li>Using objects</li>\r\n</ul>	<ul>\r\n<li>Horstmann, Chapter 2</li><li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=lecture_notes">Lecture notes</a> set 02</li>\r\n</ul>
596	40	7	<ul>\r\n<li>Lab 2: Variables, objects, methods, and test programs</li>\r\n</ul>	<ul>\r\n<li>Horstmann, Chapter 2</li><li>Lab manual for lab 2 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=handouts">Handout</a> 4)</li>\r\n</ul>
597	40	6	<ul>\r\n<li>Using objects</li>\r\n</ul>	<ul>\r\n<li>Horstmann, Chapter 2</li><li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=lecture_notes">Lecture notes</a> set 02</li>\r\n</ul>
598	40	4	<ul>\r\n<li>Introduction to programming</li>\r\n</ul>	<ul>\r\n<li>Horstmann, Chapter 1</li><li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=lecture_notes">Lecture notes</a> set 01</li>\r\n</ul>
599	39	7	<ul>\r\n<li>Lecture 4</li>\r\n<li>Data modeling</li>\r\n</ul>	<ul>\r\n<li><a href="/~mdailey/courseware/index.php?action=course&course_id=39&course_page=lecture_notes">Lecture notes</a>, set 03</li>\r\n</ul>
600	39	2	<ul><li>Lab 1: LAP Installation and Configuration</li></ul>	<ul>\r\n<li>Manual for Lab 1 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=39&course_page=handouts">Handout</a> 02)</li>\r\n</ul>
601	40	2	<ul>\r\n<li>Introduction to programming</li>\r\n</ul>	<ul>\r\n<li>Horstmann, Chapter 1</li><li><a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=lecture_notes">Lecture notes</a> set 01</li>\r\n</ul>
602	40	3	<ul>\r\n<li>Lab 1: Introduction to Linux and Java</li>\r\n</ul>	<ul>\r\n<li>Horstmann, Chapter 1</li><li>Lab manual for lab 1 (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=handouts">Handout</a> 2)</li>\r\n</ul>
603	40	1	<ul>\r\n<li>Course introduction</li>\r\n</ul>	<ul>\r\n<li>Syllabus (<a href="http://www.cs.ait.ac.th/~mdailey/courseware/index.php?action=course&course_id=40&course_page=handouts">Handout</a> 1)</li>\r\n</ul>
604	39	43	<ul>\r\n<li>Lecture 20</li>\r\n<li>Scaling</li>\r\n</ul>	
605	39	44	<ul><li>Lab 10</li></ul>	
606	39	45	<ul>\r\n<li>Final examination 0900-1200, CSIM lab</li>\r\n</ul>	
607	39	46	<ul><li>Final project presentations</li></ul>	
\.


